<?php

namespace App\Actions\Forms;

use App\Models\Registration;
use App\Models\PromoCode;

class CheckForFreeRegistration
{
    public function execute(Registration $registration): bool
    {
        $promo = PromoCode::where('code', $registration->promo)->first();
        // If the promo code was found and the discount is 100% then set the registration status to free
        if ($promo && $promo->discount === 100) {
            $registration->status = 1;
            $registration->save();
            return true;
        } else {
            return false;
        }
    }
}