<?php

namespace App\Actions\Forms;

class GenerateValidationRules {

    public function execute(array $fields): array
    {
        $rules = [];

        foreach($fields as $field)
        {
            $rule = [];

            if (isset($field['validation']))
            {
                foreach($field['validation'] as $key => $value)
                {
                    if (!empty($value)) {
                        switch(strtolower($key))
                        {
                            case 'required':
                                $rule[] = 'required';
                                break;
                            case 'max':
                                $rule[] = 'max:' . $value;
                                break;
                            case 'min':
                                $rule[] = 'min:' . $value;
                                break;
                            case 'accepted':
                                $rule[] = 'accepted';
                                break;
                            default:
                                $rule[] = $value;
                                break;
                        }
                    }

                }

                if (!empty($rule)) {
                    $rules['data.' . strtolower($field['slug'])] = implode('|', $rule);
                }
            }
        }

        return $rules;
    }
}
    