<?php

namespace App\Actions\Forms;

class RequiredModelFieldsValidator
{
    public function execute(array $data, array $required): void
    {
        $messages = [];

        foreach($required as $field)
        {
            if (!isset($data[$field])) {
                $messages[] = 'The ' . $field . ' field is required.';
            }
        }

        if ($messages) {
            throw \Illuminate\Validation\ValidationException::withMessages($messages);                   
        }        
    }    
}