<?php

namespace App\Actions\Forms;

use Illuminate\Mail\Mailable;
use Illuminate\Support\Facades\Mail;

use App\Models\Form;

class SendFormEmail
{
    public function execute(Form $form, Mailable $email, array $receipients = [], array $defaultReceipients = []): bool
    {
        if (!$receipients) {
            $receipients = isset($form->to) ? explode(',', $form->to) : $defaultReceipients;
        }

        foreach($receipients as $receipient)
        {
            $cc = isset($form->cc) ? explode(',', $form->cc) : [];
 
            Mail::to($receipient)
                ->cc($cc)
                ->queue($email);
        }
        
        return true;
    }
}