<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Models\Registration;
use App\Models\Attendee;

use Str;

class AssignRegistrationToAttendee extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'registrations:assign-attendees';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Assign registration to attendee if attendee does not exist.';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $registrations = Registration::where('page_id', 6)->get();

        foreach($registrations as $registration) 
        {
            $attendees = $registration->attendees()->get();

            if ($attendees->count() === 0) {
                $registration->attendees()->create([
                    'forename' => $registration->forename,
                    'surname' => $registration->surname,
                    'email' => $registration->email,
                    'created_at' => now(),
                    'updated_at' => now(),
                ]);
            }
        }
    }

}