<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Actions\Fortify\CreateNewUser;

use Str;

class CreateUsersFromAttendees extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'users:attendees';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Create users from attendees';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $attendees = \App\Models\Attendee::all();

        foreach($attendees as $attendee) {
            $user = \App\Models\User::where('email', $attendee->email)->first();

            if (!$user) {

                $password = Str::random(12);

                $user = (new CreateNewUser())->create([
                    'forename' => $attendee->forename,
                    'surname' => $attendee->surname,
                    'email' => $attendee->email,
                    'password' => $password,
                    'password_confirmation' => $password,
                    'portal' => true,
                ]);
            }
        }

    }
}
