<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use Storage;

class PurgeData extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'purge:data';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Purge any saved data from local storage';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $storage = Storage::disk('local');

        foreach($storage->files('/downloads/data', true) as $file) {
            $storage->delete($file);
        }    

        return Command::SUCCESS;
    }
}
