<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use Storage;

class PurgePdf extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'purge:pdf';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Purge any saved PDFs from local storage';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $storage = Storage::disk('local');

        foreach($storage->files('/downloads/pdf', true) as $file) {
            $storage->delete($file);
        }    
    }
}
