<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use DB;

use App\Models\Registration;

class TransferRegistrations extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'transfer:registrations';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        
        // Delete existing registrations in new events
        DB::connection('mysql')->table('attendees')->delete();

        // Transactions
        DB::connection('mysql')->table('transactions')->delete();

        // Extras
        DB::connection('mysql')->table('extras')->delete();

        // Registrations
        DB::connection('mysql')->table('registrations')->delete();

        // Get registrations from old events
        $old_registrations = DB::connection('mysql_old')->table('registrations')->get();

        foreach($old_registrations as $old_registration) {
            $country = DB::connection('mysql')->table('countries')->where('name', $old_registration->country)->first();
            $function = DB::connection('mysql')->table('job_functions')->where('name', $old_registration->job_function)->first();
            $company = DB::connection('mysql')->table('company_types')->where('name', $old_registration->company_type)->first();

            try {
                $page = DB::connection('mysql')->table('pages')->where('id', $old_registration->page_id)->first();

                if (!$page) {
                    echo ('Page not found: '. $old_registration->page_id);
                    continue;
                }

                $registration = new Registration;
                $registration->id = $old_registration->id;
                $registration->page_id = $old_registration->page_id;
                $registration->country_id = $country ? $country->id : null;
                $registration->job_function_id = $function ? $function->id : null;
                $registration->company_type_id = $company ? $company->id : null;
                $registration->title = $old_registration->title;
                $registration->forename = $old_registration->forename;
                $registration->surname = $old_registration->surname;
                $registration->email = $old_registration->email;
                $registration->phone = $old_registration->phone;
                $registration->company = $old_registration->company;
                $registration->job_role = $old_registration->job_role;
                $registration->newsletter = $old_registration->newsletter;
                $registration->reception = $old_registration->reception;
                $registration->sponsorship = $old_registration->sponsorship;
                $registration->promo = $old_registration->promo;
                $registration->status = $old_registration->promo && in_array($old_registration->promo, ['IFFTWENTYTWENTYFREE', 'IFFTWENTYTWENTYFOUR', 'AFFTWENTYTWENTYFREE']) ? 1 : 2;
                $registration->created_at = $old_registration->created_at;
                $registration->updated_at = $old_registration->updated_at;
                if ($registration->save()){
                    $registration->attendees()->create([
                        'forename' => $old_registration->forename,
                        'surname' => $old_registration->surname,
                        'email' => $old_registration->email,
                    ]);
                }

                

            }catch (\Throwable $ex) {
                echo ($ex->getMessage());
            }

        }
    }
}
