<?php

namespace App\Http\Controllers\Assets;

use Illuminate\Http\Request;

use App\Http\Controllers\Controller;

use App\Models\Homepage;
use App\Models\Download;

use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Str;

class AssetFileDownloadController extends Controller
{

    public function show($identifier) 
    {
        $download = Download::where('id', $identifier)->firstOrFail();

        return view('assets.download', [
            'download' => $download,
            'identifier' => $identifier,
        ]);
    }

    public function download($identifier)
    {            
        $download = Download::where('id', $identifier)->firstOrFail();

        try {
            $file = Storage::disk('s3')->get($download->filename);
            File::put(storage_path('app/public/' . $download->filename), $file);
            return response()->download(storage_path('app/public/' . $download->filename), $download->filename);
        } catch (Exception $ex) {
            abort(404, 'File not found');
        }
;
    }
}
