<?php

namespace App\Http\Livewire\Content\Common;

use Livewire\Component;

use App\Models\Banner as Model;

class Banner extends Component
{
    public $page;
    public $banner;

    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function mount($page = null)
    {
        $this->page = $page;
        if ($page) {
            $this->banner = $this->page->banners()->inRandomOrder()->first();
        } 
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('livewire.content.common.banner');
    }
}
