<?php

namespace App\Http\Livewire\Content\Common;

use Livewire\Component;

use App\Models\Banner as Model;

class Hero extends Component
{
    public $banner;

    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function mount()
    {
        $this->banner = Model::whereNull('page_id')->inRandomOrder()->first();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('livewire.content.common.hero');
    }
}
