<?php

namespace App\Http\Livewire\Content\Common;

use Livewire\Component;

use App\Models\Speaker;
use App\Models\Sponsor;

class Popup extends Component
{
    public $selected = '';
    public $page;
    public $speakers;
    public $sponsors;
    public $judges;

    protected $listeners = ['togglePopup' => 'togglePopup'];

    public function mount($page) {
        $this->page = $page;
        $this->speakers = $page
            ->speakers()
            ->available()
            ->orderBy('sort_order', 'ASC')
            ->get();
        $this->sponsors = $page
            ->sponsors()
            ->available()
            ->orderBy('sort_order', 'ASC')
            ->get();
        $this->judges = $page
            ->judges()
            ->available()
            ->orderBy('sort_order', 'ASC')
            ->get();                 

    }

    public function togglePopup($name)
    {
        $this->selected = $name;
    }

    public function render()
    {
        return view('livewire.content.common.popup');
    }
}
