<?php

namespace App\Http\Livewire\Ecommerce;

use Livewire\Component;
use Illuminate\Http\Request;

use App\Models\PricingGroupPrice;

use App\Models\Attendee;

class Attendees extends Component
{
    public $page;
    public $registration;
    public $attendees;
    public $price;
    public $attendee = [
        'forename' => '',
        'surname' => '',
        'email' => '',
    ];

    public $rules = [
        'attendee.forename' => 'required|max:50',
        'attendee.surname' => 'required|max:50',
        'attendee.email' => 'required|email|max:200',
    ];

    public function mount($page)
    {
        $this->page = $page;

        $this->registration = session()->get('registration');
        
        $this->attendees = session()->get('attendees');

        if (!$this->registration) {
            return abort(404, 'Registration not found');
        }

        $this->price = session()->get('price');
    }

    public function submit()
    {
        $this->validate();

        $this->attendees[] = $this->attendee;

        session()->put('attendees', $this->attendees);

        $this->reset(['attendee']);

        $this->emit('recalculate');
    }

    public function remove($index)
    {
        unset($this->attendees[$index]);

        session()->put('attendees', $this->attendees);

        $this->emit('recalculate');
    }

    public function render()
    {
        return view('livewire.ecommerce.attendees');
    }
}
