<?php

namespace App\Http\Livewire\Ecommerce;

use Livewire\Component;

class Extras extends Component
{
    public $registration;
    public $attendees;
    public $pricing_extras;
    public $extras;

    public function mount($page)
    {
        $this->page = $page;
        $this->registration = session()->get('registration');
        $this->attendees = session()->get('attendees');

        if (!$this->registration || !$this->attendees) {
            return abort(404, 'Registration or attendees not found');
        }

        $this->extras = session()->get('extras', []);

        $this->pricing_extras = $this->page->pricing_extras()->available()->get();
    }

    public function extraChanged($id, $qty)
    {
        if ($qty == 0) {
            unset($this->extras[$id]);
        } else {
            $this->extras[$id] = (int)$qty;
        }

        session()->put('extras', $this->extras);

        $this->emit('recalculate');
    }

    public function render()
    {
        return view('livewire.ecommerce.extras');
    }
}
