<?php

namespace App\Http\Livewire\Ecommerce;

use Livewire\Component;

use App\Models\PricingExtra;

use DB;

class OrderButtons extends Component
{
    public function mount($page)
    {
        $this->page = $page;

        $this->registration = session()->get('registration');
        
        if (!$this->registration) {
            return abort(404, 'Registration not found');
        }
    }

    public function save()
    {
        DB::transaction(function () {
    
            $this->registration->attendees()->delete();

            $this->registration->extras()->delete();

            $this->registration->attendees()->createMany(session()->get('attendees'));

            $extras = session()->get('extras');

            if ($extras) {
                foreach($extras as $key => $value) {
                    $pricing_extra = PricingExtra::where('id', $key)->first();
                    if ($pricing_extra) {
                        $this->registration->extras()->create([
                            'pricing_extra_id' => $key,
                            'quantity' => $value,
                            'price' => $pricing_extra->price,
                        ]);
                    }
                }
            }
    
            return redirect()->route('page.checkout.payment', ['page' => $this->page->slug]);
        });

    }

    public function cancel()
    {
        $this->registration->delete();

        session()->forget('registration');
        session()->forget('attendees');
        session()->forget('extras');

        return redirect()->route('page', ['page' => $this->page->slug]);
    }

    public function render()
    {
        return view('livewire.ecommerce.order-buttons');
    }
}
