<?php

namespace App\Http\Livewire\Ecommerce;

use Livewire\Component;

use App\Models\PromoCode;

class Payment extends Component
{
    public $page;
    public $attendees;

    public function mount($page) 
    {
        $this->page = $page;
        $this->registration = session()->get('registration');
        $this->attendees = session()->get('attendees');

        if (!$this->registration || !$this->attendees) {
            return abort(404, 'Registration or attendees not found');
        }

        $this->extras = $this->registration->extras()->get();
    }

    public function cancel()
    {
        $this->registration->delete();

        session()->forget('registration');
        session()->forget('attendees');
        session()->forget('extras');

        return redirect()->route('page', ['page' => $this->page->slug]);
    }

    public function render()
    {
        return view('livewire.ecommerce.payment');
    }
}
