<?php

namespace App\Http\Livewire\Ecommerce;

use Livewire\Component;
use Illuminate\Http\Request;

use App\Models\PricingExtra;
use App\Models\PromoCode;

use App\Actions\Ecommerce\PriceCalculator;

class Totalizer extends Component
{
    public $page;
    public $registration;
    public $attendees;
    public $extras;
    public $price;
    public $discount;
    public $amount;
    public $amountPlusTax;

    protected $listeners = [
        'recalculate'
    ];

    public function calculate()
    {
        $this->attendees = session()->get('attendees');
        $this->extras = session()->get('extras', []);
        $this->price = session()->get('price');
        $this->discount = 0;

        $result = (new PriceCalculator)->execute($this->registration, $this->price, $this->attendees, $this->extras);

        $this->amount = $result['amount'];
        $this->amountPlusTax = $result['amountPlusTax'];
        $this->discount = $result['discount'];
    }

    public function recalculate()
    {
        $this->calculate();
    }

    public function mount($page)
    {

        $this->page = $page;
        $this->registration = session()->get('registration');
        $this->attendees = session()->get('attendees');
        $this->extras = session()->get('extras', []);

        if (!$this->registration || !$this->attendees) {
            abort(404, 'Registration or attendees not found');
        }

        $this->calculate();

    }

    public function render()
    {
        return view('livewire.ecommerce.totalizer');
    }
}
