<?php

namespace App\Http\Livewire\Forms\Blocks;

use Livewire\Component;

use App\Models\PricingGroup;

class PricingBlock extends Component
{
    public $page;
    public $fields;
    public $field;
    public $multiple = false;
    public $group;
    public $open = '';
    
    public function mount($fields, $field, $page)
    {
        $this->fields = $fields;
        $this->field = $field;
        $this->page = $page;
        $this->group = PricingGroup::where('id', $this->field['group'])->first();

        if ($this->group->pricing_group_prices()->available()->count() > 1) {
            $this->multiple = true;
            session()->put('price', $this->group->pricing_group_prices()->available()->orderBy('price', 'DESC')->first());
        }else {
            $this->multiple = false;
            session()->put('price', $this->group->pricing_group_prices()->available()->first());
        }

    }

    public function changeSelected($id) {
        session()->put('price', $this->group->pricing_group_prices()->available()->where('id', $id)->first());
    }

    public function toggleOpen($id) {
        if ($this->open == $id) {
            $this->open = '';
        }else {
            $this->open = $id;
        }
    }

    public function render()
    {
        return view('livewire.forms.blocks.pricing-block');
    }
}
