<?php

namespace App\Http\Livewire\Layout\Blocks;

use Livewire\Component;

class CategoriesBlock extends Component
{
    public $page;
    public $component;
    public $groups;
    public $categories;
    public $open = null;

    public function mount($page, $component)
    {
        $this->page = $page;
        $this->component = $component;
        $this->groups = $page
            ->categories()
            ->select('group')
            ->whereNotNull('group')
            ->available()
            ->groupBy('group')
            ->pluck('group')
            ->toArray();
        if (count($this->groups) === 0) {
            $this->categories = $this->page->categories()->available()->orderBy('sort_order', 'ASC')->get();
        }else {
            foreach($this->groups as $group) {
                $this->categories[$group] = $this->page->categories()->available()->where('group', $group)->orderBy('sort_order', 'ASC')->get()->toArray();
            }
        }
    }

    public function toggleOpen($open)
    {
        if ($this->open) { 
            $this->open = null;
        } else {
            $this->open = $open;
        }
    }

    public function render()
    {
        return view('livewire.layout.blocks.categories-block');
    }
}
