<?php

namespace App\Http\Livewire\Layout\Blocks;

use Livewire\Component;

use Carbon\Carbon;

class CountdownBlock extends Component
{
    public $page;
    public $component;
    public $countdown;
    public $start_date_time;

    public function mount($page, $component)
    {
        $this->page = $page;
        $this->now = Carbon::now();
        $this->component = $component;
        $this->start_date_time = Carbon::parse($component['startdate'] . ' ' . $component['starttime']);
        $this->countdown = (array) date_diff($this->now, $this->start_date_time);
    }

    private function updateCountdownDate()
    {
        $now = Carbon::now();
        $this->countdown = (array) date_diff($now, $this->start_date_time);
    }    

    public function pollTheDate()
    {
        $this->updateCountdownDate();
    }

    public function render()
    {
        return view('livewire.layout.blocks.countdown-block');
    }
}
