<?php

namespace App\Http\Livewire\Layout\Blocks;

use Livewire\Component;

class JudgesBlock extends Component
{
    public $page;
    public $component;
    public $judges;

    public function mount($page, $component)
    {
        $this->page = $page;
        $this->component = $component;
        $this->judges = $this->page
            ->judges()
            ->available()
            ->orderBy('sort_order', 'ASC')
            ->get();   
    }

    public function toggleJudgePopup($name) {
        $this->emit('togglePopup', 'judge-' . $name);
    }

    public function render()
    {
        return view('livewire.layout.blocks.judges-block');
    }
}
