<?php

namespace App\Http\Livewire\Layout\Blocks;

use Livewire\Component;

class LocationBlock extends Component
{
    public $page;
    public $component;
    public $hotels;
    public $travels;
    public $toDos;
    public $groups;
    public $group;
    public $selected;

    public function mount($page, $component)
    {
        $this->page = $page;
        $this->component = $component;
        $this->hotels = $page->hotels()->available()->get();
        $this->travels = $page->travels()->available()->get();
        $this->groups = [
            'attractions' => 'Attractions',
            'eat' => 'Eat & Drink',
            'museums' => 'Museums',
            'nightlife' => 'Nightlife',
            'recreation' => 'Recreation',
            'shopping' => 'Shopping',
            'tours' => 'Tours'            
        ];
        $this->group = 'attractions';
        $this->toDos = $page->toDos()->available()->where('group', $this->group)->get();
        $this->tabs = ['venue', 'travel', 'accommodation', 'things-to-do'];
        foreach($this->tabs as $tab) {
            if ($component[$tab]) {
                $this->selected = $tab;
                break;
            }
        }
    }

    public function changeTab($tab)
    {
        $this->selected = $tab;
        $this->emit('tabChanged', $tab);
    }

    public function changeGroup($group)
    {
        $this->group = $group;
        $this->toDos = $this->page->toDos()->available()->where('group', $this->group)->get();
    }

    public function render()
    {
        return view('livewire.layout.blocks.location-block');
    }
}
