<?php

namespace App\Http\Livewire\Layout\Blocks;

use Livewire\Component;

class SpeakersBlock extends Component
{
    public $page;
    public $size = 18;
    public $component;
    public $total;
    public $speakers;

    private function getSpeakers()
    {
        $this->speakers = $this->page
            ->speakers()
            ->available()
            ->limit($this->size)
            ->orderBy('sort_order', 'ASC')
            ->get();   
    }

    public function mount($page, $component)
    {
        $this->page = $page;
        $this->component = $component;
        $this->total = $page
            ->speakers()
            ->available()
            ->count();
        $this->getSpeakers();
    }

    public function toggleSpeakerPopup($name) {
        $this->emit('togglePopup', 'speaker-'. $name);
    }

    public function increasePageSize()
    {
        if ($this->size + 6 <= $this->total){
            $this->size += 6;
        } else {
            $this->size = $this->total;
        }
        $this->getSpeakers();
    }

    public function render()
    {
        return view('livewire.layout.blocks.speakers-block');
    }
}
