<?php

namespace App\Http\Livewire\Layout\Blocks;

use Livewire\Component;

class SponsorsBlock extends Component
{
    public $page;
    public $component;
    public $sponsors;

    public function mount($page, $component)
    {
        $this->page = $page;
        $this->component = $component;
        $this->sponsors = $page->sponsors()->available()->orderBy('sort_order', 'ASC')->get();
    }

    public function toggleSponsorPopup($name) {
        $this->emit('togglePopup', 'sponsor-' . $name);
    }

    public function render()
    {
        return view('livewire.layout.blocks.sponsors-block');
    }
}
