<?php

namespace App\Http\Livewire\Layout\Blocks;

use Livewire\Component;

use App\Models\Testimonial;

class TestimonialsBlock extends Component
{
    public $page;
    public $component;
    public $testimonials;
    public $selected;
    public $index = 0;

    public function mount($page, $component)
    {
        $this->page = $page;
        $this->component = $component;
        if ($this->component['blocks'] === 'homepage') {
            $this->testimonials = Testimonial::whereNull('page_id')->orderBy('id', 'asc')->get();
        } else {
            $this->testimonials = $page->testimonials()->orderBy('id', 'asc')->get();
        }

        if (count($this->testimonials) > 0) {
            $this->selected = $this->testimonials[$this->index];
        }
    }

    public function changeTestimonial()
    {
        if ($this->index < $this->testimonials->count() - 1) {
            $this->index++;
        } else {
            $this->index = 0;
        }

        $this->selected = $this->testimonials[$this->index];
    }    

    public function render()
    {
        return view('livewire.layout.blocks.testimonials-block');
    }
}
