<?php

namespace App\Http\Livewire\Portal\Ads;

use Illuminate\Support\Facades\Http;

use Livewire\Component;

use Cache;

class Advert extends Component
{
    public $zone;
    public $data;

    private function getAdvertData()
    {
        try {
            $response = Http::get('https://ads.thetechcapital.com/zone/' . $this->zone . '/1');
            $json = $response->json();
            if (isset($json['data']) && is_array($json['data']) && count($json['data']) > 0){
                $this->data = $json['data'][0];
                return true;
            }
        } catch (Exception $e) {
            return false;
        }
    }

    public function mount($zone)
    {
        $this->zone = $zone;

        if ($this->zone) {
            if (Cache::has('adzone-' . $this->zone)) {
                $this->data = Cache::get('adzone-' . $this->zone);
            } else {
                if ($this->getAdvertData()) {
                    Cache::put('adzone-' . $this->zone, $this->data, 300);
                }
            }
        }
    }

    public function render()
    {
        return view('livewire.portal.ads.advert');
    }
}
