<?php

namespace App\Http\Livewire\Portal\Dialogs;

use Livewire\Component;

use App\Models\Speaker;

class DialogSpeaker extends Component
{
    public $open = false;
    public $selected;
    public $speaker;

    protected $listeners = [
        'open-speaker-dialog' => 'openSpeakerDialog', 
        'close-speaker-dialog' => 'closeSpeakerDialog'
    ];

    private function loadSpeaker()
    {
        $this->speaker = Speaker::where('id', $this->selected)->first();
    }

    public function openSpeakerDialog($selected)
    {
        $this->open = true;
        $this->selected = $selected;
        $this->loadSpeaker();
    }   

    public function closeSpeakerDialog()
    {
        $this->open = false;
    }

    public function mount($page)
    {
        $this->page = $page;
    }    

    public function render()
    {
        return view('livewire.portal.dialogs.dialog-speaker');
    }
}
