<?php

namespace App\Http\Livewire\Portal\Dialogs;

use Livewire\Component;

use App\Models\Sponsor;

class DialogSponsor extends Component
{
    public $open = false;
    public $selected;
    public $sponsor;

    protected $listeners = [
        'open-sponsor-dialog' => 'openSponsorDialog', 
        'close-sponsor-dialog' => 'closeSponsorDialog'
    ];

    private function loadSponsor()
    {
        $this->sponsor = Sponsor::where('id', $this->selected)->first();
    }

    public function openSponsorDialog($selected)
    {
        $this->open = true;
        $this->selected = $selected;
        $this->loadSponsor();
    }   

    public function closeSponsorDialog()
    {
        $this->open = false;
    }

    public function mount($page)
    {
        $this->page = $page;
    }    

    public function render()
    {
        return view('livewire.portal.dialogs.dialog-sponsor');
    }
}
