<?php

namespace App\Http\Livewire\Portal\Filters;

use Livewire\Component;

use App\Models\Page;

class FilterAttendees extends Component
{
    public $page;
    public $query = '';

    protected $rules = [
        'query' => 'required|string|min:2'
    ];

    public function mount(Page $page)
    {
        $this->page = $page;

        if (request()->has('query')) {
            $this->query = request()->query('query');
        }
    }

    public function filter()
    {
        $this->validate();

        return redirect()->route('portal.attendees', ['page' => $this->page->slug, 'query' => $this->query]);
    }

    public function clear()
    {
        return redirect()->route('portal.attendees', ['page' => $this->page->slug]);
    }

    public function render()
    {
        return view('livewire.portal.filters.filter-attendees');
    }
}
