<?php

namespace App\Http\Livewire\Portal\Items;

use Livewire\Component;

use App\Models\User;

class ItemAttendee extends Component
{
    public $same = false;
    public $attendee;
    public $user;
    public $profile;

    public function mount($attendee)
    {
        $this->attendee = $attendee;

        if ($this->attendee) {
            $this->same = $this->attendee->email === auth()->user()->email;
            $this->user = User::where('email', $this->attendee->email)->first();
            if ($this->user && $this->user->profile) {
                $this->profile = $this->user->profile;
            }
        }
    }

    public function render()
    {
        return view('livewire.portal.items.item-attendee');
    }
}
