<?php

namespace App\Http\Livewire\Portal\Items;

use Livewire\Component;

class ItemConnection extends Component
{
    public $page;
    public $connection;
    public $open = false;

    public function deleteConnection($id)
    {
        $received = auth()->user()->received_connections()->where('id', $id)->first();

        if ($received) {
            $sent = auth()->user()->sent_connections()->where([
                ['page_id', '=', $this->page->id],
                ['from_user_id', '=', auth()->user()->id],
                ['to_user_id', '=', $received->from_user_id]
            ])->first();

            $received->delete();
            $sent->delete();
        }        

        return redirect()->route('portal.connections', ['page' => $this->page->slug])->with('status', 'Connection deleted');
    }
    
    public function toggleOpen()
    {
        $this->open = !$this->open;
    }

    public function mount($page, $connection)
    {
        $this->page = $page;
        $this->connection = $connection;
    }

    public function render()
    {
        return view('livewire.portal.items.item-connection');
    }
}
