<?php

namespace App\Http\Livewire\Portal\Items;

use Livewire\Component;

use App\Models\Portal\Connection;

class ItemNotificationReceived extends Component
{
    public $page;
    public $connection;
    public $open = false;

    public function mount($page, $connection)
    {
        $this->page = $page;
        $this->connection = $connection;
    }

    public function deleteConnectionRequest($id)
    {
        auth()->user()->received_connections()->where('id', $id)->delete();

        return redirect()->route('portal.notifications', ['page' => $this->page->slug])->with('status', 'Connection request deleted');
    }

    public function acceptConnectionRequest($id) 
    {
        $connection = auth()->user()->received_connections()->where('id', $id)->first();
        
        if ($connection) {
            $connection->update(['accepted' => true]);
            Connection::create([
                'page_id' => $this->page->id,
                'from_user_id' => $connection->to_user_id,
                'to_user_id' => $connection->from_user_id,
                'accepted' => true
            ]);
        }

        return redirect()->route('portal.notifications', ['page' => $this->page->slug])->with('status', 'Connection accepted');
    }

    public function toggleOpen()
    {
        $this->open = !$this->open;
    }

    public function render()
    {
        return view('livewire.portal.items.item-notification-received');
    }
}
