<?php

namespace App\Http\Livewire\Portal\Items;

use Livewire\Component;

class ItemNotificationSent extends Component
{
    public $page;
    public $connection;
    public $open = false;

    public function mount($page, $connection)
    {
        $this->page = $page;
        $this->connection = $connection;
    }

    public function deleteConnectionRequest($id)
    {
        auth()->user()->sent_connections()->where('id', $id)->delete();

        return redirect()->route('portal.notifications', ['page' => $this->page->slug])->with('status', 'Connection request deleted');
    }

    public function toggleOpen()
    {
        $this->open = !$this->open;
    }

    public function render()
    {
        return view('livewire.portal.items.item-notification-sent');
    }
}
