<?php

namespace App\Http\Livewire\Portal\Lists;

use Livewire\Component;

use App\Models\Programme;

class ListCalendarUser extends Component
{
    public $page;
    public $calendars;

    protected $listeners = [
        'refresh-calendar-users' => 'loadCalendars'
    ];

    public function loadCalendars()
    {
        $this->calendars = auth()
            ->user()
            ->calendars()
            ->join('programmes', 'programmes.id', '=', 'calendars.programme_id')
            ->whereIn('programme_id', Programme::where('page_id', $this->page->id)->pluck('id')->toArray())
            ->orderBy('programmes.starts_at', 'ASC')
            ->get();        
    }

    public function removeCalendar($id)
    {
        $calendar = auth()->user()->calendars()->where('programme_id', $id)->first();

        if ($calendar){
            $calendar->delete();
        }

        $this->loadCalendars();

        $this->emit('refresh-programme-calendars');
    }


    public function mount($page)
    {
        $this->page = $page;

        $this->loadCalendars();

    }

    public function render()
    {
        return view('livewire.portal.lists.list-calendar-user');
    }
}
