<?php

namespace App\Http\Requests\Portal;

use Illuminate\Foundation\Http\FormRequest;

class PortalProfileRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'forename' => 'required|string|max:50',
            'surname' => 'required|string|max:50',
            'company' => 'nullable|string|max:100',
            'position' => 'nullable|string|max:100',
            'about' => 'nullable|string|max:1000',
            'twitter' => 'nullable|url|max:200',
            'linkedin' => 'nullable|url|max:200',
            'website' => 'nullable|url|max:200',
            'telephone' => 'nullable|string|max:30',
            'mobile' => 'nullable|string|max:30',
            'picture' => 'nullable|image|max:2048',
            'portal' => 'boolean'
        ];
    }
}
