<?php

namespace App\Listeners;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\Mail;

use App\Events\ChatCreatedEvent;
use App\Mail\SendChatNotificationMail;

class ChatCreatedListener
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle(ChatCreatedEvent $event)
    {
        Mail::to($event->chat->to->email)
            ->send(new SendChatNotificationMail($event->chat));
    }
}
