<?php

namespace App\Listeners;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\Mail;

use App\Events\ConnectionCreatedEvent;
use App\Mail\SendConnectionNotificationMail;

class ConnectionCreatedListener
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle(ConnectionCreatedEvent $event)
    {
        Mail::to($event->connection->to->email)
            ->send(new SendConnectionNotificationMail($event->connection));
    }
}
