<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

use App\Models\Portal\Connection;

class SendConnectionNotificationMail extends Mailable
{
    use Queueable, SerializesModels;

    public $connection;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(Connection $connection)
    {
        $this->connection = $connection;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this
            ->subject('Connection notification from The Tech Capital Event Portal')
            ->view('emails.portal.connection.html')
            ->text('emails.portal.connection.text');
    }
}
