<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendContactEmail extends Mailable
{
    use Queueable, SerializesModels;
    
    public $form;
    public $data;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($form, $data)
    {
        $this->form = $form;
        $this->data = $data;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this
            ->subject($this->form && isset($this->form->subject) ? $this->form->subject : 'Contact Form Submission')
            ->view('emails.contact.html')
            ->text('emails.contact.text');
    }
}
