<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class SendPortalRegistrationEmailAll extends Mailable
{
    use Queueable, SerializesModels;

    public $registration;
    public $user;
    public $password;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($registration, $user, $password)
    {
        $this->registration = $registration;
        $this->user = $user;
        $this->password = $password;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this
            ->subject('Registration for The Tech Capital Event Portal')
            ->view('emails.portal.registration.all.html')
            ->text('emails.portal.registration.all.text');
    }
}
