<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendRegistrationPaidAdminEmail extends Mailable
{
    use Queueable, SerializesModels;
    
    public $registration;
    public $pdf;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($registration, $pdf)
    {
        $this->registration = $registration;
        $this->pdf = $pdf;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this
            ->subject('Registration for ' . $this->registration->page->name)
            ->attach($this->pdf)
            ->view('emails.paid.admin.html')
            ->text('emails.paid.admin.text');
    }
}
