<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ContentPage extends Model
{
    use HasFactory;

    public function share_tags()
    {
        return $this->hasMany(ShareTag::class);
    }    

    public function scopeAvailable($query)
    {
        return $query->where([
            ['status', '=', 1]
        ]);
    }    

    /**
     * Retrieve the model for a bound value.
     *
     * @param  mixed  $value
     * @param  string|null  $field
     * @return \Illuminate\Database\Eloquent\Model|null
     */
    public function resolveRouteBinding($value, $field = null)
    {
        return $this->where('slug', $value)->available()->firstOrFail();
    }    
}
