<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Event extends Model
{
    use HasFactory;

    protected $casts = [
        'starts_at' => 'datetime',
        'ends_at' => 'datetime',
    ];

    public function scopeAvailable($query)
    {
        return $query->where([
            ['status', '=', 1]
        ]);
    }

    public function scopeInternal($query)
    {
        return $query->where([
            ['type', '=', 'internal']
        ]);
    }

    public function scopeExternal($query)
    {
        return $query->where([
            ['type', '=', 'external']
        ]);
    }
}
