<?php

namespace App\Models\Portal;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\User;
use App\Models\Programme;
use Database\Factories\PortalCalendarFactory;

class Calendar extends Model
{
    use HasFactory;

    protected $fillable = [
        'programme_id',
    ];

    /**
     * Create a new factory instance for the model.
     *
     * @return \Illuminate\Database\Eloquent\Factories\Factory
     */    
    protected static function newFactory()
    {
        return PortalCalendarFactory::new();
    }    

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function programme()
    {
        return $this->belongsTo(Programme::class);
    }
}
