<?php

namespace App\Models\Portal;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\User;
use App\Models\Page;
use App\Events\ConnectionCreatedEvent;

use Database\Factories\PortalConnectionFactory;

class Connection extends Model
{
    use HasFactory;

    // protected $dispatchesEvents = [
    //     'created' => ConnectionCreatedEvent::class,
    // ];

    protected $fillable = [
        'page_id',
        'from_user_id',
        'to_user_id',
        'message',
        'accepted',
    ];

    /**
     * Create a new factory instance for the model.
     *
     * @return \Illuminate\Database\Eloquent\Factories\Factory
     */    
    protected static function newFactory()
    {
        return PortalConnectionFactory::new();
    }        

    public function page()
    {
        return $this->belongsTo(Page::class);
    }

    public function from()
    {
        return $this->belongsTo(User::class, 'from_user_id');
    }

    public function to()
    {
        return $this->belongsTo(User::class, 'to_user_id');
    }
}
