<?php

namespace App\Models\Portal;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\User;

use Database\Factories\PortalProfileFactory;

class Profile extends Model
{
    use HasFactory;

    protected $fillable = [
        'company', 'position', 'about', 'twitter', 'linkedin', 'website', 'telephone', 'mobile', 'picture'
    ];

    /**
     * Create a new factory instance for the model.
     *
     * @return \Illuminate\Database\Eloquent\Factories\Factory
     */     
    protected static function newFactory()
    {
        return PortalProfileFactory::new();
    }    

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    
}
