<?php

namespace App\Nova\Filters;

use Illuminate\Http\Request;
use Laravel\Nova\Filters\Filter;

class AttendeeEventFilter extends Filter
{
    /**
     * The filter's component.
     *
     * @var string
     */
    public $component = 'select-filter';

    /**
     * Apply the filter to the given query.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Illuminate\Database\Eloquent\Builder  $query
     * @param  mixed  $value
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function apply(Request $request, $query, $value)
    {
        return $query->where(function($query) use ($value) {
            $query->whereHas('registration', function($query) use ($value) {
                $query->whereHas('page', function($query) use ($value) {
                    $query->where('id', $value);
                });
            });
        });
    }

    /**
     * Get the filter's available options.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function options(Request $request)
    {
        $pages = \App\Models\Page::all();
        $options = [];
        foreach($pages as $page) {
            $options[$page->title] = $page->id;
        }
        return $options;
    }
}
