<?php

namespace App\Providers;

use Illuminate\Auth\Events\Registered;
use Illuminate\Auth\Listeners\SendEmailVerificationNotification;
use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Event;

use App\Events\RegistrationUpdatedEvent;
use App\Listeners\RegistrationUpdatedListener;

use App\Events\ChatCreatedEvent;
use App\Listeners\ChatCreatedListener;

use App\Events\ConnectionCreatedEvent;
use App\Listeners\ConnectionCreatedListener;

class EventServiceProvider extends ServiceProvider
{
    /**
     * The event to listener mappings for the application.
     *
     * @var array<class-string, array<int, class-string>>
     */
    protected $listen = [
        RegistrationUpdatedEvent::class => [
            RegistrationUpdatedListener::class,
        ],
        ConnectionCreatedEvent::class => [
            ConnectionCreatedListener::class,
        ],
        ChatCreatedEvent::class => [
            ChatCreatedListener::class,
        ],
    ];

    /**
     * Register any events for your application.
     *
     * @return void
     */
    public function boot()
    {
        //Registration::observe(RegistrationObserver::class);
    }

    /**
     * Determine if events and listeners should be automatically discovered.
     *
     * @return bool
     */
    public function shouldDiscoverEvents()
    {
        return false;
    }
}
