<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;
use Illuminate\Support\Facades\Log;

class Recaptcha implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value) {
        try {
            $url = parse_url(config('app.url'));
            $recaptcha = new \ReCaptcha\ReCaptcha(config('services.recaptcha.secret'));
            $response = $recaptcha
                ->setExpectedHostname($url['host'])
                ->verify($value, $_SERVER['REMOTE_ADDR']);
            if ($response->isSuccess()) {
                return true;
            }else {
                Log::info($response->getErrorCodes());
            }
        } catch (Exception $ex) {
            Log::error($ex);
        }
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'The form failed recaptcha validation';
    }
}
