<?php

namespace App\View\Components\Meta;

use Illuminate\View\Component;

use Route;

class TwitterGraph extends Component
{
    public $page;
    public $banner;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($page = null)
    {
        $this->page = $page;
        if (Route::currentRouteName() == 'page' && $this->page) {
            $this->banner = $page->banners()->inRandomOrder()->first();
        }
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.meta.twitter-graph');
    }
}