<?php

namespace App\View\Components\Portal\Lists;

use Illuminate\View\Component;

use App\Models\Programme;

class ListCalendarUser extends Component
{
    public $page;
    public $calendars;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($page)
    {
        $this->page = $page;

        $this->calendars = auth()
            ->user()
            ->calendars()
            ->whereIn('programme_id', Programme::where('page_id', $this->page->id)->pluck('id')->toArray())
            ->get();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.lists.list-calendar-user');
    }
}
