<?php

namespace App\View\Components\Portal\Lists;

use Illuminate\View\Component;

use App\Models\Portal\Chat;
use App\Models\Portal\Connection;
use App\Models\User;

class ListChatUsers extends Component
{
    public $page;
    public $selected;
    public $users;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($page)
    {
        $this->page = $page;

        $this->selected = request()->query('selected', null);

        $connections = Connection::where('page_id', $this->page->id)
            ->where('to_user_id', auth()->user()->id)
            ->pluck('from_user_id')
            ->toArray();

        $this->users = User::whereIn('id', $connections)->get();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.lists.list-chat-users');
    }
}
