<?php

namespace App\View\Components\Portal\Lists;

use Illuminate\View\Component;

class ListConnections extends Component
{
    public $page;
    public $connections;

    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($page)
    {
        $this->page = $page; 
        $this->connections = auth()->user()->received_connections()->where([
            ['page_id', '=', $this->page->id],
            ['accepted', '=', true],
        ])->get();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.lists.list-connections');
    }
}
