<?php

namespace App\View\Components\Portal\Lists;

use Illuminate\View\Component;

class ListNotifications extends Component
{
    public $page;
    public $received;
    public $sent;

    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($page)
    {
        $this->page = $page;
        $this->received = auth()->user()->received_connections()->where([
            ['page_id', '=', $this->page->id],
            ['accepted',  '=', false]
        ])->get();
        $this->sent = auth()->user()->sent_connections()->where([
            ['page_id', '=', $this->page->id],
            ['accepted', '=', false]
        ])->get();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.lists.list-notifications');
    }
}
