<?php

namespace App\View\Components\Portal\Lists;

use Illuminate\View\Component;

use App\Models\Registration;

class ListPastRegistrations extends Component
{
    public $events;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->events = Registration::where('email', auth()->user()->email)
            ->join('pages', 'pages.id', '=', 'registrations.page_id')
            ->where('pages.starts_at', '<', date('Y-m-d'))
            //->where('pages.portal', true)
            ->select('registrations.*')
            ->get();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.lists.list-past-registrations');
    }
}
