<?php

namespace App\View\Components\Portal\Lists;

use Illuminate\View\Component;

use App\Models\Page;

class ListSpeakers extends Component
{
    public $page;
    public $speakers;

    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($page)
    {
        $this->page = $page;

        if (request()->has('query')) {
            $this->speakers = $page
                ->speakers()
                ->where('name', 'like', '%' . request()->query('query') . '%')
                ->available()
                ->orderBy('sort_order', 'ASC')
                ->get();
        } else {
            $this->speakers = $page
                ->speakers()
                ->available()
                ->orderBy('sort_order', 'ASC')
                ->get();
        }
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.lists.list-speakers');
    }
}
