<?php

namespace App\View\Components\Portal\Lists;

use Illuminate\View\Component;

use App\Models\Page;

class ListSponsors extends Component
{
    public $page;
    public $sponsors;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct(Page $page)
    {
        $this->page = $page;
        $this->sponsors = $page->sponsors()->orderBy('sort_order', 'ASC')->get();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.lists.list-sponsors');
    }
}
