<?php

namespace App\View\Components\Portal\Lists;

use Illuminate\View\Component;

use App\Models\Registration;
use App\Models\Attendee;

class ListUpcomingRegistrations extends Component
{
    public $events;

    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct()
    {
        $attending = Attendee::where('email', auth()->user()->email)->pluck('registration_id')->toArray();

        $this->events = Registration::whereIn('registrations.id', $attending)
            ->join('pages', 'pages.id', '=', 'registrations.page_id')
            ->where('pages.starts_at', '>', date('Y-m-d'))
            ->get();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.lists.list-upcoming-registrations');
    }
}
