<?php

namespace App\View\Components\Portal\Parts;

use Illuminate\View\Component;

class PartHeader extends Component
{
    public $heading;
    public $subheading;
    public $page;
    public $pending_connections = 0;
    
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($heading, $subheading, $page = null)
    {
        $this->heading = $heading;
        $this->subheading = $subheading;
        $this->page = $page;
        if ($this->page) {
            $this->pending_connections = auth()->user()->received_connections()->where([
                ['page_id', '=', $this->page->id],
                ['accepted',  '=', false]
            ])->count();
        }
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.parts.part-header');
    }
}
