<?php

namespace App\View\Components\Portal\Profiles;

use Illuminate\View\Component;

class ProfileAvatar extends Component
{
    public $user;
    public $width;
    public $height;
    public $size;
    public $css;
    public $border;

    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($user, $width = 100, $height = 100, $size = 200, $css='w-16 h-16', $border = 'border-techcapital-gray-ultra')
    {
        $this->user = $user;
        $this->width = $width;
        $this->height = $height;
        $this->size = $size;
        $this->css = $css;
        $this->border = $border;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.portal.profiles.profile-avatar');
    }
}
