<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;

class BannerFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'page_id' => Page::factory(),
            'title' => fake()->words(4, true),
            'filename' => basename(fake()->image('storage/app/tests', 640, 480, null, false)),
            'type' => fake()->randomElement(['image', 'video']),
            'status' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}