<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use Illuminate\Support\Str;

class ContentPageFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        $name = fake()->words(2, true);

        return [
            'name' => $name,
            'slug' => Str::slug($name),
            'title' => fake()->words(4, true),
            'description' => fake()->words(4, true),
            'content' => fake()->paragraphs(2, true),
            'status' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}