<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;

class EventFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'name' => fake()->words(2, true),
            'starts_at' => fake()->dateTimeBetween('-1 week', '+1 week'),
            'ends_at' => fake()->dateTimeBetween('+1 week', '+2 weeks'),
            'location' => fake()->country(),
            'url' => fake()->domainName(),
            'target' => '_blank',
            'filename' =>  basename(fake()->image('storage/app/tests', 640, 480, null, false)),
            'status' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }

}