<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\User>
 */
class HotelFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {
        return [
            'page_id' => Page::factory(),
            'name' => fake()->words(2, true),
            'address' => fake()->address(),
            'map' => fake()->url(),
            'description' => fake()->paragraphs(2, true),
            'website' => fake()->domainName(),
            'filename' => basename(fake()->image('storage/app/tests', 640, 480, null, false)),
            'status' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }

}