<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;

class JudgeFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'page_id' => Page::factory(),
            'name' => fake()->firstName() . ' ' . fake()->lastName(),
            'company' => fake()->company(),
            'position' => fake()->jobTitle(),
            'bio' => fake()->paragraphs(2, true),
            'twitter_url' => fake()->randomElement([null, fake()->url()]),
            'linkedin_url' => fake()->randomElement([null, fake()->url()]),
            'sort_order' => 1,
            'status' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}