<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use Illuminate\Support\Str;

class PageFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {
        $name = fake()->words(3, true);
        $starts = fake()->dateTimeBetween('now', '+1 year');

        return [
            'name' => ucfirst($name),
            'slug' => Str::slug($name),
            'title' => ucfirst(fake()->words(5, true)),
            'description' => ucfirst(fake()->words(10, true)),
            'city' => ucfirst(fake()->city()),
            'country' => ucfirst(fake()->country()),
            'venue' => ucfirst(fake()->words(2, true)),
            'travel' => ucfirst(fake()->words(10, true)),
            'accommodation' => ucfirst(fake()->words(10, true)),
            'things_to_do' => ucfirst(fake()->words(10, true)),
            'restrictions' => ucfirst(fake()->words(10, true)),
            'longitude' => fake()->longitude(),
            'latitude' => fake()->latitude(),
            'layout' => "{}",
            'floorplan' => null,
            'portal' => 0,
            'portal_text' => null,
            'starts_at' => $starts,
            'ends_at' => $starts->modify('+3 days'),
            'status' => 1,
        ];
    }
}