<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;
use App\Models\User;

use App\Models\Portal\Chat;

class PortalChatFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */    
    protected $model = Chat::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'page_id' => Page::factory(),
            'from_user_id' => User::factory(),
            'to_user_id' => User::factory(),
            'message' => fake()->words(5, true),
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}