<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;
use App\Models\User;

use App\Models\Portal\Connection;

class PortalConnectionFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */    
    protected $model = Connection::class;


    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'page_id' => Page::factory(),
            'from_user_id' => User::factory(),
            'to_user_id' => User::factory(),
            'message' => fake()->words(4, true),
            'accepted' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}