<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\User;

use App\Models\Portal\Profile;

class PortalProfileFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */    
    protected $model = Profile::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'user_id' => User::factory(),
            'company' => fake()->company(),
            'position' => fake()->jobTitle(),
            'about' => fake()->paragraphs(2, true),
            'twitter' => fake()->url(),
            'linkedin' => fake()->url(),
            'website' => fake()->domainName(),
            'telephone' => fake()->phoneNumber(),
            'mobile' => fake()->phoneNumber(),
            'picture' => basename(fake()->image('storage/app/tests', 640, 480, null, false)),
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}