<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;

class ProgrammeFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'page_id' => Page::factory(),
            'title' => fake()->words(2, true),
            'description' => fake()->paragraphs(2, true),
            'starts_at' => fake()->dateTimeBetween('-1 week', '+1 week'),
            'ends_at' => fake()->dateTimeBetween('+1 week', '+2 weeks'),
            'status' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}