<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;
use App\Models\PricingGroupPrice;
use App\Models\Country;
use App\Models\JobFunction;
use App\Models\CompanyType;

class RegistrationFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {   
        return [
            'page_id' => Page::factory(),
            'pricing_group_price_id' => PricingGroupPrice::factory(),
            'country_id' => Country::factory(),
            'job_function_id' => JobFunction::factory(),
            'company_type_id' => CompanyType::factory(),
            'title' => fake()->title(),
            'forename' => fake()->firstName(),
            'surname' => fake()->lastName(),
            'email' => fake()->safeEmail(),
            'phone' => fake()->phoneNumber(),
            'company' => fake()->company(),
            'job_role' => fake()->jobTitle(),
            'newsletter' => fake()->randomElement([0, 1]),
            'reception' => fake()->randomElement([0, 1]),
            'sponsorship' => fake()->randomElement([0, 1]),
            'portal' => 0,
            'status' => 0,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}
