<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;
use App\Models\Homepage;

class ShareTagFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'page_id' => Page::factory(),
            'og_title' => fake()->words(2, true),
            'og_image' => basename(fake()->image('storage/app/tests', 640, 480, null, false)),
            'og_type' => 'website',
            'og_description' => fake()->paragraphs(1, true),
            'twitter_card' => 'summary',
            'twitter_site' => '@' . fake()->userName(),
            'twitter_creator' => '@' . fake()->userName(),
            'twitter_description' => fake()->paragraphs(1, true),
            'twitter_title' => fake()->words(2, true),
            'twitter_image' => basename(fake()->image('storage/app/tests', 640, 480, null, false)),
            'twitter_image_alt' => fake()->words(4, true),
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}