<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;
use App\Models\User;

class SpeakerFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'page_id' => Page::factory(),
            'user_id' => fake()->randomElement([null, User::factory()]),
            'name' => fake()->firstName() . ' ' . fake()->lastName(),
            'company' => fake()->company(),
            'position' => fake()->jobTitle(),
            'bio' => fake()->paragraphs(3, true),
            'twitter_url' => fake()->url(),
            'linkedin_url' => fake()->url(),
            'filename' => basename(fake()->image('storage/app/tests', 640, 480, null, false)),
            'status' => 1,
            'chair' => 0,
            'created_at' => now(),
            'updated_at' => now(),
            'sort_order' => 1,
        ];
    }
}