<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\Page;

class SponsorFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {  
        return [
            'page_id' => Page::factory(),
            'name' => fake()->words(2, true),
            'bio' => fake()->paragraphs(2, true),
            'url' => fake()->domainName(),
            'filename' => basename(fake()->image('storage/app/tests', 640, 480, null, false)),
            'status' => 1,
            'created_at' => now(),
            'updated_at' => now(),
            'relationship' => fake()->words(2, true),
            'sort_order' => 1,
        ];
    }
}