<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class CreatePagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pages', function (Blueprint $table) {
            $table->id();
            $table->string('name', 200);
            $table->string('slug', 200)->unique();
            $table->string('title', 70);
            $table->string('description', 200);
            $table->string('slogan', 200);
            $table->text('content');
            $table->string('city', 100);
            $table->text('address');
            $table->float('longitude', 10, 6);
            $table->float('latitude', 10, 6);            
            $table->string('map_filename', 200)->nullable();
            $table->text('ticketing_embed')->nullable();
            $table->datetimeTz('starts_at');
            $table->datetimeTz('ends_at');
            $table->unsignedTinyInteger('status')->index();
            $table->timestampsTz();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pages');
    }
}
