<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBannersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('banners', function (Blueprint $table) {
            $table->id();
            $table->foreignId('page_id')->constrained();
            $table->string('title', 200);
            $table->string('sub_title_1', 1000);
            $table->string('sub_title_2', 1000)->nullable();
            $table->string('cta_url', 1000);
            $table->string('cta_title', 200); 
            $table->string('filename', 200);
            $table->unsignedTinyInteger('status')->index();            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('banners');
    }
}
