<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRegistrationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('registrations', function (Blueprint $table) {
            $table->id();
            $table->foreignId('page_id')->constrained();
            $table->string('title', 10);
            $table->string('forename', 50);
            $table->string('surname', 50);
            $table->string('email', 200);
            $table->string('phone', 30);
            $table->string('company', 100);
            $table->string('company_type', 100);
            $table->string('job_function', 100);
            $table->string('job_role', 100);
            $table->string('country', 100);
            $table->string('region', 100);
            $table->boolean('newsletter');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('registrations');
    }
}
