<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pricing_group_prices', function (Blueprint $table) {
            $table->id();
            $table->foreignId('pricing_group_id')->constrained()->onDelete('cascade');
            $table->string('name', '100');
            $table->decimal('price', 10, 2);
            $table->unsignedTinyInteger('status');
            $table->timestampsTz();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pricing_group_prices');
    }
};
