<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('registrations', function (Blueprint $table) {
            $table->foreignId('company_type_id')->after('page_id')->nullable()->constrained()->onDelete('cascade');
            $table->foreignId('job_function_id')->after('page_id')->nullable()->constrained()->onDelete('cascade');
            $table->foreignId('country_id')->after('page_id')->nullable()->constrained()->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('registrations', function (Blueprint $table) {
            $table->dropForeign(['company_type_id']);
            $table->dropForeign(['job_function_id']);
            $table->dropForeign(['country_id']);
            $table->dropColumn('company_type_id');
            $table->dropColumn('job_function_id');
            $table->dropColumn('country_id');
        });
    }
};
