<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('judges', function (Blueprint $table) {
            $table->id();
            $table->foreignId('page_id')->constrained();     
            $table->string('name', 100);
            $table->string('company', 100);
            $table->string('position', 100);
            $table->text('bio');
            $table->string('twitter_url', 1000)->nullable();
            $table->string('linkedin_url', 1000)->nullable();     
            $table->string('filename', 200)->nullable();
            $table->integer('sort_order');
            $table->unsignedTinyInteger('status')->index(); 
            $table->timestampsTz();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('judges');
    }
};
