<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('banners', function (Blueprint $table) {  
            $table->foreignId('page_id')->nullable()->change();
            $table->dropColumn('sub_title_1');
            $table->dropColumn('sub_title_2');
            $table->dropColumn('cta_url');
            $table->dropColumn('cta_title');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('banners', function (Blueprint $table) {  
            $table->foreignId('page_id')->nullable(false)->change();
            $table->string('sub_title_1', 1000);
            $table->string('sub_title_2', 1000)->nullable();
            $table->string('cta_url', 1000);
            $table->string('cta_title', 200); 
        });

    }
};
