<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('share_tags', function (Blueprint $table) {
            $table->id();
            $table->foreignId('page_id')->nullable()->constrained()->onDelete('cascade');
            $table->foreignId('homepage_id')->nullable()->constrained()->onDelete('cascade');
            $table->string('og_title', 60);
            $table->string('og_image', 200);
            $table->string('og_type', 20);
            $table->string('og_description', 1000);
            $table->string('twitter_card', 30);
            $table->string('twitter_site', 50);
            $table->string('twitter_creator', 50);
            $table->string('twitter_description', 1000);
            $table->string('twitter_title', 70);
            $table->string('twitter_image', 200);
            $table->string('twitter_image_alt', 1000);            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('share_tags');
    }
};
