<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('share_tags', function (Blueprint $table) {
            $table->foreignId('content_page_id')->nullable()->after('homepage_id')->constrained()->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('share_tags', function (Blueprint $table) {
            $table->dropForeign(['content_page_id']);
            $table->dropColumn('content_page_id');
        });
    }
};
