<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('profiles', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade');
            $table->string('company', 100)->nullable();
            $table->string('position', 100)->nullable();
            $table->text('about')->nullable();
            $table->string('twitter', 200)->nullable();
            $table->string('linkedin', 200)->nullable();
            $table->string('website', 200)->nullable();
            $table->string('telephone', 30)->nullable();
            $table->string('mobile', 30)->nullable();
            $table->string('picture', 100)->nullable();
            $table->timestampsTz();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('profiles');
    }
};
