<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class BlockSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('blocks')->insert([
            [
                'id' => 1,
                'name' => 'Homepage Content Title HTML',
                'slug' => 'homepage-content-title-html',
                'content' => '<div><h2 class="font-sans uppercase text-xs mb-2 border-l-8 border-techcapital-red pl-2 text-techcapital-gray-dark flex items-center">The Tech Capital</h2><h2 class="font-altgothic uppercase text-3xl text-techcapital-gray-dark ">World Class Events</h2></div>'
            ],
            [
                'id' => 2,
                'name' => 'Homepage Content HTML',
                'slug' => 'homepage-content-html',
                'content' => '<span><p class="font-sans text-sm text-techcapital-gray-dark mb-4">The Tech Capital events keep you connected and informed in an uncertain and constantly changing world. Using leading digital technology, we have now taken our content, global audience reach and engagement to a new level through a series of unmissable virtual events.</p><p class="font-sans text-sm text-techcapital-gray-dark">By connecting the globe\'s foremost executives, policymakers and influencers in business, finance and politics, our compelling programmes, chaired by our world-renowned TTC journalists are all accessible from your office or home. Don\'t miss a moment and view our full list of digital events.</p></span>'
            ],
            [
                'id' => 3,
                'name' => 'Homepage Quote HTML',
                'slug' => 'homepage-quote-html',
                'content' => '<h2 class="font-serif text-base font-bold mb-4">“In addition to three days of curated content and headline speakers, The Tech Capital\'s Event offered a number of ways to connect with speakers and attendees. Brilliant job.”</h2><p class="font-serif text-xs text-techcapital-gray-dark">Howard Marks, Journalist and Editor-In-Chief at The Times UK</p>'
            ],
            [
                'id' => 5,
                'name' => 'Partner Content HTML',
                'slug' => 'partner-content-html',
                'content' => '<h2 class="font-sans uppercase text-xs mb-2 border-l-8 border-techcapital-red pl-2 text-white flex items-center">The Tech Capital</h2><h2 class="font-altgothic uppercase text-3xl text-white mb-4">Partner With Us</h2><p class="font-sans text-sm text-white mb-4">Partnering with The Tech Capital makes a strong statement about your brand\'s commitment to thought leadership and ground-breaking innovation.</p><p><a href="" class="inline-block border border-techcapital-red text-techcapital-red uppercase pt-1 pb-1 pl-2 pr-2 rounded-sm">Contact Us</a></p>'
            ],
            [
                'id' => 6,
                'name' => 'Partner Images HTML',
                'slug' => 'partner-images-html',
                'content' => '<div class="grid grid-cols-12 gap-4"><div class="col-span-12 lg:col-span-6"><a href="https://dell.co.uk" title="Dell" target="_blank" rel="noopener"><img src="http://techevents.test/svg/dell.svg" alt="Dell" class="w-12 h-12"></a></div><div class="col-span-12 lg:col-span-6"><a href="https://hp.co.uk" title="HP" target="_blank" rel="noopener"><img src="http://techevents.test/svg/hp.svg" alt="Dell" class="w-12 h-12"></a></div><div class="col-span-12 lg:col-span-6"><a href="https://futuretodayinstitute.com/" title="Future Today Institute" target="_blank" rel="noopener"><img src="http://techevents.test/svg/fti.svg" alt="Dell" class="w-12 h-12"></a></div><div class="col-span-12 lg:col-span-6"><a href="https://dell.co.uk" title="Dell" target="_blank" rel="noopener"><img src="http://techevents.test/svg/dell.svg" alt="Dell" class="w-12 h-12"></a></div></div>'
            ],
            [
                'id' => 7,
                'name' => 'Upcoming Events Text',
                'slug' => 'upcoming-events-text',
                'content' => 'The Tech Capital events keep you connected and informed in an uncertain and constantly changing world. Using leading digital technology, we have now taken our content, global audience reach.'
            ]
        ]);
    }
}
