<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class EventSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('events')->insert([
            [
                'id' => 1,
                'name' => 'International Finance Forum',
                'starts_at' => Carbon::parse('2022-04-04 09:00:00'),
                'ends_at' =>  Carbon::parse('2022-04-12 12:00:00'),
                'location' => 'London',
                'url' => 'http://techevents.test/page/international-finance-forum',
                'filename' => 'vvdMzMaf3NFcPcmqHbFzQP00FxVVynw4PyjZvmWa.jpg',
                'status' => 1
            ],
            [
                'id' => 2,
                'name' => 'Datacloud India',
                'starts_at' =>  Carbon::parse('2022-05-13 12:00:00'),
                'ends_at' =>  Carbon::parse('2022-05-13 12:00:00'),
                'location' => 'New Delhi',
                'url' => 'https://techevents.test',
                'filename' => 'FNFrmGTAXUBdvkDn0XIxTl0DA8Q4rmSlA2M8gYfG.jpg',
                'status' => 1,
            ],
            [
                'id' => 3,
                'name' => 'Datacloud Nordic',
                'starts_at' =>  Carbon::parse('2022-10-28 12:00:00'),
                'ends_at' =>  Carbon::parse('2022-10-29 12:00:00'),
                'location' => 'Copenhagen',
                'url' => 'https://techevents.test',
                'filename' => 'prBCv8MdAIMHmMLxHyTr0zWIuSiQntXsguAM4JJr.jpg',
                'status' => 1,
            ],
            [
                'id' => 4,
                'name' => 'Edge Europe',
                'starts_at' =>  Carbon::parse('2023-01-30 12:00:00'),
                'ends_at' =>  Carbon::parse('2023-01-31 12:00:00'),
                'location' => 'Amsterdam',
                'url' => 'https://techevents.test',
                'filename' => 'i3nPnCCNmyTxxoSw26in90o4DVqP4ZGGdixuSKgJ.jpg',
                'status' => 1,
            ],
            [
                'id' => 5,
                'name' => 'Edge Asia',
                'starts_at' =>  Carbon::parse('2023-03-01 12:00:00'),
                'ends_at' =>  Carbon::parse('2023-03-02 12:00:00'),
                'location' => 'Bangkok',
                'url' => 'https://techevents.test',
                'filename' => 's9QpLma5lTNPCSvFspk7KbeT3i6AmW7rV3uAc2Hu.jpg',
                'status' => 1,
            ]
        ]);
    }
}
