<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class ProgrammeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {   
        DB::table('programmes')->insert([
            [
                'id' => 1,
                'page_id' => 1,
                'title' => 'Registration & Networking Breakfast',
                'description' => NULL,
                'starts_at' => Carbon::parse('2022-06-01 08:00:00'),
                'ends_at' => Carbon::parse('2022-06-01 09:00:00'),
                'status' => 1
            ],[
                'id' => 2,
                'page_id' => 1,
                'title' => 'Opening Remarks from The Tech Capital',
                'description' => NULL,
                'starts_at' => Carbon::parse('2022-06-01 09:00:00'),
                'ends_at' => Carbon::parse('2022-06-01 09:05:00'),
                'status' => 1
            ],[
                'id' => 3,
                'page_id' => 1,
                'title' => 'Global Finance and Investment Market Assessment',
                'description' => 'Taking the temperature of the global digital infrastructure marketplace, this is an opportunity to analyse the economic impact of the sector as well as the overarching trends and macro-economic opportunities that can be identified in spending, including M&A, expansion, and management of assets.',
                'starts_at' => Carbon::parse('2022-06-01 09:05:00'),
                'ends_at' => Carbon::parse('2022-06-01 09:25:00'),
                'status' => 1
            ],[
                'id' => 4,
                'page_id' => 1,
                'title' => 'State of Digital Infrastructure',
                'description' => 'With digital infrastructure CAPEX expected to top US$4 trillion over the next decade, the executive panel will discuss the evolution of the marketplace across data centres, fibre, towers, and edge, and whether business and financing models require a new approach, what\'s Wall Street\'s play today, and the role of hyperscalers.',
                'starts_at' => Carbon::parse('2022-06-01 09:25:00'),
                'ends_at' => Carbon::parse('2022-06-01 10:05:00'),
                'status' => 1
            ],[
                'id' => 5,
                'page_id' => 1,
                'title' => 'Exclusive insights into investors\' challenges, opportunities, and ambitions',
                'description' => 'The session will reveal the results of the first global investor community survey undertaken by The Tech Capital and DIAL. Learn about what the sector thinks of current market conditions, challenges, the path to success, maintenance and maximising of asset value, growth opportunities, and more.',
                'starts_at' => Carbon::parse('2022-06-01 10:05:00'),
                'ends_at' => Carbon::parse('2022-06-01 10:25:00'),
                'status' => 1
            ],[
                'id' => 6,
                'page_id' => 1,
                'title' => 'Morning Networking Break',
                'description' => NULL,
                'starts_at' => Carbon::parse('2022-06-01 10:25:00'),
                'ends_at' => Carbon::parse('2022-06-01 10:55:00'),
                'status' => 1
            ],[
                'id' => 7,
                'page_id' => 1,
                'title' => 'Capital Funding: A dive into equity and debt finance markets',
                'description' => 'Institutional investors, asset managers, private equity firms, sovereign wealth funds, hedge funds, family offices, REITs, and private individuals, the profile of those financing the expansion of the market is shifting and diversifying supporting the argument that the market is maturing. This at a time when debt financing is delivering good grades for operators. The panellists will explore the current private equity and debt finance framework which is pulling mega capital into the sector, the strategies, returns, and emerging risks and opportunities in the context of a shifting global market, and how investors can best protect themselves from exposure from inflation to geo-political adversities.',
                'starts_at' => Carbon::parse('2022-06-01 10:55:00'),
                'ends_at' => Carbon::parse('2022-06-01 11:35:00'),
                'status' => 1
            ],[
                'id' => 8,
                'page_id' => 1,
                'title' => 'Digital Infrastructure M&A around the world',
                'description' => 'The digital infrastructure space has in the past years broken record after record in terms of M&A deals. From Tokyo to Los Angeles and everywhere in between be it APAC, Africa, Europe, or Latin America, there is a fierce race to acquire infrastructure assets – and the talent running it. As the clock continues to tick, the window of opportunity is wide open. Experts will debate what recent deals mean for the market as well as what the projections tell us of the near and long future, especially as telcos rethink their deconversion of assets amidst a boom in edge deployments.',
                'starts_at' => Carbon::parse('2022-06-01 11:35:00'),
                'ends_at' => Carbon::parse('2022-06-01 12:20:00'),
                'status' => 1
            ],[
                'id' => 9,
                'page_id' => 1,
                'title' => 'Fireside chat',
                'description' => 'A special chat between two industry heavyweights not to be missed.',
                'starts_at' => Carbon::parse('2022-06-01 12:20:00'),
                'ends_at' => Carbon::parse('2022-06-01 12:55:00'),
                'status' => 1
            ],[
                'id' => 10,
                'page_id' => 1,
                'title' => 'Networking Lunch',
                'description' => NULL,
                'starts_at' => Carbon::parse('2022-06-01 12:55:00'),
                'ends_at' => Carbon::parse('2022-06-01 13:55:00'),
                'status' => 1
            ],[
                'id' => 11,
                'page_id' => 1,
                'title' => 'Climate Capital: Making climate investing profitable',
                'description' => 'The climate challenge and sustainability are at the heart of every digital infrastructure project today. Or so they should be. Panellists will discuss if the vast amount of money being thrown at green and blue financing is being used purposefully, what the role of private equity is in the energy transition, how to avoid green capital washing, what markets are leading by example, and if regulatory changes, business strategies and innovative financing structures can deliver 2030 targets.',
                'starts_at' => Carbon::parse('2022-06-01 14:00:00'),
                'ends_at' => Carbon::parse('2022-06-01 14:40:00'),
                'status' => 1
            ],[
                'id' => 12,
                'page_id' => 1,
                'title' => 'The Southern Globe Age',
                'description' => 'Explore the destinations for investment across the Southern Hemisphere. Home to more than three billion people - a large part of it still offline - our panel will access the opportunities and challenges of new markets across LATAM, Africa, the Middle East, India, and Southeast Asia. Where is the race to connect the next billion at? How much investment will be needed? Are there new barriers to entry?',
                'starts_at' => Carbon::parse('2022-06-01 14:40:00'),
                'ends_at' => Carbon::parse('2022-06-01 15:20:00'),
                'status' => 1
            ],[
                'id' => 13,
                'page_id' => 1,
                'title' => 'Afternoon Networking Break',
                'description' => NULL,
                'starts_at' => Carbon::parse('2022-06-01 15:20:00'),
                'ends_at' => Carbon::parse('2022-06-01 15:50:00'),
                'status' => 1
            ],[
                'id' => 14,
                'page_id' => 1,
                'title' => 'Regulation and Legislation',
                'description' => 'As digital infrastructure earns the critical infrastructure stamp from nations across the planet, there are inherent issues that can hinder developments and ultimately result in lost deals and revenue. What are the legal hurdles today? How has contracting changed? What are the land use and entitlement regulations? What are the implications of the different data sovereignty legislations around the globe? What do enterprises look for and what\'s the developer\'s responsibility? How will digital infrastructure law be framed in the future? Join the sector\'s leading attorneys to find out.',
                'starts_at' => Carbon::parse('2022-06-01 15:50:00'),
                'ends_at' => Carbon::parse('2022-06-01 16:25:00'),
                'status' => 1
            ],[
                'id' => 15,
                'page_id' => 1,
                'title' => 'ESG: Key trends and investment stewardship',
                'description' => 'Investment stewardship is the way to do business in the 21st century. Engaging with policy makers and standard setters, ensuring the human capital is protected and invested upon, and keeping the environment safe are factors without which investments could struggle in their road to triumph. This roundtable session will argue on how to integrate social and environmental values into investment portfolios, how to factor ESG non-financial elements to identify material risks and growth opportunities, how to manage direct exposure to private equity or real assets, and more. ',
                'starts_at' => Carbon::parse('2022-06-01 16:25:00'),
                'ends_at' => Carbon::parse('2022-06-01 17:00:00'),
                'status' => 1
            ],[
                'id' => 16,
                'page_id' => 1,
                'title' => 'The Tech Capital Awards',
                'description' => 'Join The Tech Capital Awards reception in recognising the many talented individuals, teams and companies operating in the digital infrastructure finance, investment, and legal spheres.',
                'starts_at' => Carbon::parse('2022-06-01 17:00:00'),
                'ends_at' => Carbon::parse('2022-06-01 19:00:00'),
                'status' => 1
            ]
        ]);
    }
}
