<?php

namespace Techevents\Registration;

use Laravel\Nova\Card;

use App\Models\Registration as Model;

class Registration extends Card
{
    /**
     * The width of the card (1/3, 1/2, or full).
     *
     * @var string
     */
    public $width = 'full';

    public function withRegistrations()
    {
        return $this->withMeta([
            'registrations' => Model::orderBy('created_at', 'DESC')->with('page', 'attendees', 'extras', 'transactions')->take(20)->get()
        ]);
    }
    /**
     * Get the component name for the element.
     *
     * @return string
     */
    public function component()
    {
        return 'registration';
    }
}
