<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <title>{{ $title ?? 'The Tech Capital Events' }}</title>
        <meta name="description" content="{{$description ?? 'The Tech Capital Events'}}">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf_token" value="{{ csrf_token() }}"/>
        <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Lato&amp;family=Nunito&amp;family=Oswald:wght@300;400;600&amp;family=PT+Serif+Caption&amp;family=PT+Serif:ital@0;1&amp;display=swap" rel="stylesheet">
        <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('/favicon/apple-touch-icon.png') }}">
        <link rel="icon" type="image/png" sizes="32x32" href="{{ asset('/favicon/favicon-32x32.png') }}">
        <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('/favicon/favicon-16x16.png') }}">
        <link rel="manifest" href="{{ asset('/favicon/site.webmanifest') }}" crossorigin="use-credentials">
        <link rel="mask-icon" href="{{ asset('/favicon/safari-pinned-tab.svg') }}" color="#5bbad5">
        <link rel="shortcut icon" href="{{ asset('/favicon/favicon.ico') }}">
        <meta name="msapplication-TileColor" content="#bd1f23">
        <meta name="msapplication-config" content="{{ asset('/favicon/browserconfig.xml') }}">
        <meta name="msvalidate.01" content="6819F4A907D7AB48C0979B48892C9A48" />
        <meta name="theme-color" content="#ffffff">    
        @vite(['resources/css/app.css', 'resources/js/app.js'])
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=G-E0VEYC3VPH"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
            gtag('config', 'G-E0VEYC3VPH');
        </script>    
        @livewireStyles
        @stack('header')
    </head>
    <body class="antialiased flex items-center justify-center min-h-screen bg-techcapital-gray">
        <div class="bg-white p-8 rounded-lg shadow-lg lg:h-auto w-3/4 xl:w-1/4">
            <img src="{{asset('img/logo.jpg')}}" alt="The Tech Capital Events" class="w-3/4 xl:w-1/2 mx-auto mb-8">
            <div class="text-center mt-4">
                <h1 class="text-2xl font-bold text-techcapital-gray-ultra mb-8">Download File</h1>
                <p>
                    <a href="{{ route('download.file.download', ['identifier' => $identifier]) }}" title="Download {{$download->name}}" class="inline-block p-1 px-2 lg:p-2 lg:px-4 bg-techcapital-red border-2 border-techcapital-red text-white uppercase font-altgothic">Download {{ $download->name }} File</a>
                    <a href="{{ route('home') }}" class="inline-block p-1 px-2 lg:p-2 lg:px-4 border-2 border-techcapital-gray-light bg-techcapital-gray-light text-techcapital-gray-dark uppercase font-altgothic">Go To Website</a>
                </p>
            </div>
        </div>
    </body>
</html>
