<div>
    <x-content.common.error-alert :errors="$errors"/>
    <form method="POST" action="{{route('password.update')}}" novalidate>
        @csrf
        <input type="hidden" name="token" value="{{request()->route('token')}}"/>
        <div class="mb-4">
            <label for="email" class="block font-bold text-sm mb-2">Email <sup class="text-techcapital-red">*</sup></label>
            <input type="text" name="email" id="email" class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{old('email', request()->email)}}"/>
            @error('email')
                <div class="text-sm text-techcapital-red mt-2">{{ $message }}</div>
            @enderror            
        </div>
        <div class="mb-4">
            <label for="password" class="block font-bold text-sm mb-2">Password</label>
            <input id="password" name="password" class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" type="password"/>
            @error('password')
                <div class="text-sm text-techcapital-red mt-2">{{ $message }}</div>
            @enderror            
        </div>  
        <div class="mb-4">
            <label for="password_confirmation" class="block font-bold text-sm mb-2">Password Confirm</label>
            <input id="password_confirmation" name="password_confirmation" class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" type="password"/>
            @error('password_confirmation')
                <div class="text-sm text-techcapital-red mt-2">{{ $message }}</div>
            @enderror            
        </div> 
        <div class="mb-4">
            <input type="submit" value="Forgotten" class="uppercase text-white py-2 px-4 bg-techcapital-red font-altgothic"/>
        </div>
    </form>
</div>