@if ($users->count() > 0)
    <div class="bg-white shadow mt-4 mb-4">
        <ul>
        @foreach($users as $user)
            @if ($user->sent_connections()->where('to_user_id', auth()->user()->id)->where('accepted', 1)->count() > 0)
                <li class="@if ($user->id === (int)$selected) bg-techcapital-red @else bg-white @endif p-4">
                    <a href="{{ route('portal.chats', ['page' => $page->slug]) }}?selected={{$user->id}}" class="flex items-center">
                        @php
                            $border = $user->id === (int)$selected ? 'border-white' : 'border-techcapital-gray-ultra';
                        @endphp
                        <x-portal.profiles.profile-avatar :user="$user" size="200" width="100" height="100" css="w-8 h-8 mr-2" :border="$border"/>
                        <h2 class="font-serif font-bold text-sm @if ($user->id === (int)$selected) text-white @else text-techcapital-gray-dark @endif">{{ $user->forename }} {{ $user->surname }}</h2>
                        @if ($user->profile)
                            @if ($user->profile->company)
                                <h3 class="font-sans text-xs uppercase @if ($user->id === (int)$selected) text-white @else text-techcapital-gray-dark @endif">{{ $user->profile->company }}</h3>
                            @endif
                            @if ($user->profile->position)
                                <h3 class="font-sans text-xs uppercase @if ($user->id === (int)$selected) text-white @else text-techcapital-gray-dark @endif">{{ $user->profile->position }}</h3>
                            @endif
                        @endif
                    </a>
                </li>                
            @endif
        @endforeach
        </ul>
    </div>
@endif
