<div class="bg-techcapital-red p-4 lg:px-0">
    <div class="container lg:max-w-screen-lg mx-auto">  
        <div class="grid grid-cols-12 gap-4">
            <div class="col-span-12 text-center lg:text-left lg:col-span-6">
                @if ($page)
                    <h1 class="font-altgothic uppercase text-2xl lg:text-3xl text-white"><a href="{{ route('portal.page', ['page' => $page->slug] )}}" title="Return to portal home">{{ $heading }}</a></h1>
                    <h2 class="text-white"><a href="{{ route('portal.page', ['page' => $page->slug] )}}" title="Return to portal home">{{ $subheading }}</a></h2>
                @else
                    <h1 class="font-altgothic uppercase text-2xl lg:text-3xl text-white"><a href="{{ route('portal.home' )}}" title="Return to portal home">{{ $heading }}</a></h1>
                    <h2 class="text-white"><a href="{{ route('portal.home')}}" title="Return to portal home">{{ $subheading }}</a></h2>
                @endif
            </div>
            <div class="col-span-12 lg:col-span-6 flex justify-center lg:items-center lg:justify-end">
                <ul class="flex">
                    @if ($page)
                        <li class="mr-4">
                            <a href="{{ route('portal.page', ['page' => $page->slug] )}}" title="Home" class="text-white">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 stroke-current">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="m2.25 12 8.954-8.955c.44-.439 1.152-.439 1.591 0L21.75 12M4.5 9.75v10.125c0 .621.504 1.125 1.125 1.125H9.75v-4.875c0-.621.504-1.125 1.125-1.125h2.25c.621 0 1.125.504 1.125 1.125V21h4.125c.621 0 1.125-.504 1.125-1.125V9.75M8.25 21h8.25" />
                                </svg>
                            </a>
                        </li>
                        <li class="mr-4">
                           <a href="{{ route('portal.chats', ['page' => $page->slug] )}}" title="Chats" class="text-white">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 stroke-current">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 12.76c0 1.6 1.123 2.994 2.707 3.227 1.087.16 2.185.283 3.293.369V21l4.076-4.076a1.526 1.526 0 0 1 1.037-.443 48.282 48.282 0 0 0 5.68-.494c1.584-.233 2.707-1.626 2.707-3.228V6.741c0-1.602-1.123-2.995-2.707-3.228A48.394 48.394 0 0 0 12 3c-2.392 0-4.744.175-7.043.513C3.373 3.746 2.25 5.14 2.25 6.741v6.018Z" />
                                </svg>                        
                            </a>
                        </li>
                        <li class="mr-4 @if($pending_connections > 0) animate-bounce @endif">
                           <a href="{{ route('portal.notifications', ['page' => $page->slug] )}}" title="Notifications" class="text-white">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 stroke-current">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M14.857 17.082a23.848 23.848 0 0 0 5.454-1.31A8.967 8.967 0 0 1 18 9.75V9A6 6 0 0 0 6 9v.75a8.967 8.967 0 0 1-2.312 6.022c1.733.64 3.56 1.085 5.455 1.31m5.714 0a24.255 24.255 0 0 1-5.714 0m5.714 0a3 3 0 1 1-5.714 0" />
                                </svg>                            
                            </a>
                        </li>   
                        <li class="mr-4">
                           <a href="{{ route('portal.connections', ['page' => $page->slug] )}}" title="Connections" class="text-white">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M15 19.128a9.38 9.38 0 0 0 2.625.372 9.337 9.337 0 0 0 4.121-.952 4.125 4.125 0 0 0-7.533-2.493M15 19.128v-.003c0-1.113-.285-2.16-.786-3.07M15 19.128v.106A12.318 12.318 0 0 1 8.624 21c-2.331 0-4.512-.645-6.374-1.766l-.001-.109a6.375 6.375 0 0 1 11.964-3.07M12 6.375a3.375 3.375 0 1 1-6.75 0 3.375 3.375 0 0 1 6.75 0Zm8.25 2.25a2.625 2.625 0 1 1-5.25 0 2.625 2.625 0 0 1 5.25 0Z" />
                                </svg>                          
                            </a>
                        </li>   
                     
                    @endif                    
                    <li>
                        <x-auth.logout>
                            <span class="text-white">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 stroke-current">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M5.636 5.636a9 9 0 1 0 12.728 0M12 3v9" />
                                </svg>                        
                            </span>
                        </x-auth.logout>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>