<div>
    <div class="fixed top-[42%] right-0 z-50">
        <div class="bg-techcapital-red text-white p-4 pb-3 rounded-t-md transform origin-bottom-right -rotate-90">
            <button wire:click.prevent="toggleModal" class="flex items-center cursor-pointer">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 inline-block mr-2">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M12 20.25c4.97 0 9-3.694 9-8.25s-4.03-8.25-9-8.25S3 7.444 3 12c0 2.104.859 4.023 2.273 5.48.432.447.74 1.04.586 1.641a4.483 4.483 0 01-.923 1.785A5.969 5.969 0 006 21c1.282 0 2.47-.402 3.445-1.087.81.22 1.668.337 2.555.337z" />
                </svg>
                <span class="uppercase">
                    Connect with Us
                </span>
            </button>
        </div>
    </div>
    @if ($open)
        <div class="fixed w-full top-0 left-0 right-0 bottom-0 bg-gray-900 overflow-y-auto flex items-center justify-center p-8" style="z-index:1000">
            <div class="w-full md:w-2/3 xl:w-1/3">
                <div class="flex justify-center mb-4">
                    <svg viewBox="0 0 46 50" version="1.1" xmlns="http://www.w3.org/2000/svg" class="w-16 h-16">
                        <g transform="matrix(0.437055,0,0,0.437055,-8.44827,-6.19307)">
                            <path d="M19.33,52.37L33.59,45.1L108.15,45.1L122.41,52.37L122.41,14.17L19.33,14.17L19.33,52.37Z" style="fill:rgb(255,255,255);fill-rule:nonzero;"/>
                        </g>
                        <g transform="matrix(0.437055,0,0,0.437055,-8.44827,-6.19307)">
                            <path d="M93.6,127.56L86.33,113.3L86.33,45.1L55.4,66.11L55.4,113.3L48.13,127.56L93.6,127.56Z" style="fill:rgb(255,255,255);fill-rule:nonzero;"/>
                        </g>
                    </svg>
                </div>
                <div class="mb-4">
                    <h2 class="font-altgothic text-3xl text-white uppercase text-center">The Tech Capital</h2>
                </div>
                <div class="border-b border-white border-opacity-50 mb-4"></div>
                <div class="mb-4">
                    <h2 class="text-2xl text-white text-center">Get In Touch</h2>
                </div>
                <div class="border-b border-white border-opacity-50 mb-4"></div>
                <div class="grid grid-cols-12 gap-4">
                    <div class="col-span-12 md:col-span-6">
                        <label for="forename" class="text-white block mb-2">First Name <span class="text-techcapital-red">*</span></label>
                        <input type="text" wire:model="forename" name="forename" id="forename" class="w-full border bg-white p-2 outline-none">
                        @error('forename') <span class="block mt-1 text-red-400">{{ $message }}</span> @enderror
                    </div>
                    <div class="col-span-12 md:col-span-6">
                        <label for="surname" class="text-white block mb-2">Last Name <span class="text-techcapital-red">*</span></label>
                        <input type="text" wire:model="surname" name="surname" id="surname" class="w-full border bg-white p-2 outline-none">
                        @error('surname') <span class="block mt-1 text-red-400">{{ $message }}</span> @enderror
                    </div>
                    <div class="col-span-12 md:col-span-6">
                        <label for="email" class="text-white block mb-2">Email <span class="text-techcapital-red">*</span></label>
                        <input type="text" wire:model="email" name="email" id="email" class="w-full border bg-white p-2 outline-none">
                        @error('email') <span class="block mt-1 text-red-400">{{ $message }}</span> @enderror
                    </div>
                    <div class="col-span-12 md:col-span-6">
                        <label for="company" class="text-white block mb-2">Company <span class="text-techcapital-red">*</span></label>
                        <input type="text" wire:model="company" name="company" id="company" class="w-full border bg-white p-2 outline-none">
                        @error('company') <span class="block mt-1 text-red-400">{{ $message }}</span> @enderror
                    </div>                    
                    <div class="col-span-12 md:col-span-6">
                        <label for="jobtitle" class="text-white block mb-2">Job Title <span class="text-techcapital-red">*</span></label>
                        <input type="text" wire:model="jobtitle" name="jobtitle" id="jobtitle" class="w-full border bg-white p-2 outline-none">
                        @error('jobtitle') <span class="block mt-1 text-red-400">{{ $message }}</span> @enderror
                    </div>                    
                    <div class="col-span-12 md:col-span-6">
                        <label for="country" class="text-white block mb-2">Country <span class="text-techcapital-red">*</span></label>
                        <select name="country" wire:model="country" id="country" class="w-full border bg-white p-2 outline-none">
                            <option value="">Select Country</option>
                            <option value="United States">United States</option>
                            <option value="Afghanistan">Afghanistan</option>
                            <option value="Albania">Albania</option>
                            <option value="Algeria">Algeria</option>
                            <option value="American Samoa">American Samoa</option>
                            <option value="Angola">Angola</option>
                            <option value="Anguilla">Anguilla</option>
                            <option value="Antartica">Antartica</option>
                            <option value="Antigua and Barbuda">Antigua and Barbuda</option>
                            <option value="Argentina">Argentina</option>
                            <option value="Armenia">Armenia</option>
                            <option value="Aruba">Aruba</option>
                            <option value="Ashmore and Cartier Island">Ashmore and Cartier Island</option>
                            <option value="Australia">Australia</option>
                            <option value="Austria">Austria</option>
                            <option value="Azerbaijan">Azerbaijan</option>
                            <option value="Bahamas">Bahamas</option>
                            <option value="Bahrain">Bahrain</option>
                            <option value="Bangladesh">Bangladesh</option>
                            <option value="Barbados">Barbados</option>
                            <option value="Belarus">Belarus</option>
                            <option value="Belgium">Belgium</option>
                            <option value="Belize">Belize</option>
                            <option value="Benin">Benin</option>
                            <option value="Bermuda">Bermuda</option>
                            <option value="Bhutan">Bhutan</option>
                            <option value="Bolivia">Bolivia</option>
                            <option value="Bosnia and Herzegovina">Bosnia and Herzegovina</option>
                            <option value="Botswana">Botswana</option>
                            <option value="Brazil">Brazil</option>
                            <option value="British Virgin Islands">British Virgin Islands</option>
                            <option value="Brunei">Brunei</option>
                            <option value="Bulgaria">Bulgaria</option>
                            <option value="Burkina Faso">Burkina Faso</option>
                            <option value="Burma">Burma</option>
                            <option value="Burundi">Burundi</option>
                            <option value="Cambodia">Cambodia</option>
                            <option value="Cameroon">Cameroon</option>
                            <option value="Canada">Canada</option>
                            <option value="Cape Verde">Cape Verde</option>
                            <option value="Cayman Islands">Cayman Islands</option>
                            <option value="Central African Republic">Central African Republic</option>
                            <option value="Chad">Chad</option>
                            <option value="Chile">Chile</option>
                            <option value="China">China</option>
                            <option value="Christmas Island">Christmas Island</option>
                            <option value="Clipperton Island">Clipperton Island</option>
                            <option value="Cocos (Keeling) Islands">Cocos (Keeling) Islands</option>
                            <option value="Colombia">Colombia</option>
                            <option value="Comoros">Comoros</option>
                            <option value="Congo, Democratic Republic of the">Congo, Democratic Republic of the</option>
                            <option value="Congo, Republic of the">Congo, Republic of the</option>
                            <option value="Cook Islands">Cook Islands</option>
                            <option value="Costa Rica">Costa Rica</option>
                            <option value="Cote d'Ivoire">Cote d'Ivoire</option>
                            <option value="Croatia">Croatia</option>
                            <option value="Cuba">Cuba</option>
                            <option value="Cyprus">Cyprus</option>
                            <option value="Czeck Republic">Czeck Republic</option>
                            <option value="Denmark">Denmark</option>
                            <option value="Djibouti">Djibouti</option>
                            <option value="Dominica">Dominica</option>
                            <option value="Dominican Republic">Dominican Republic</option>
                            <option value="Ecuador">Ecuador</option>
                            <option value="Egypt">Egypt</option>
                            <option value="El Salvador">El Salvador</option>
                            <option value="Equatorial Guinea">Equatorial Guinea</option>
                            <option value="Eritrea">Eritrea</option>
                            <option value="Estonia">Estonia</option>
                            <option value="Ethiopia">Ethiopia</option>
                            <option value="Europa Island">Europa Island</option>
                            <option value="Falkland Islands (Islas Malvinas)">Falkland Islands (Islas Malvinas)</option>
                            <option value="Faroe Islands">Faroe Islands</option>
                            <option value="Fiji">Fiji</option>
                            <option value="Finland">Finland</option>
                            <option value="France">France</option>
                            <option value="French Guiana">French Guiana</option>
                            <option value="French Polynesia">French Polynesia</option>
                            <option value="French Southern and Antarctic Lands">French Southern and Antarctic Lands</option>
                            <option value="Gabon">Gabon</option>
                            <option value="Gambia, The">Gambia, The</option>
                            <option value="Gaza Strip">Gaza Strip</option>
                            <option value="Georgia">Georgia</option>
                            <option value="Germany">Germany</option>
                            <option value="Ghana">Ghana</option>
                            <option value="Gibraltar">Gibraltar</option>
                            <option value="Glorioso Islands">Glorioso Islands</option>
                            <option value="Greece">Greece</option>
                            <option value="Greenland">Greenland</option>
                            <option value="Grenada">Grenada</option>
                            <option value="Guadeloupe">Guadeloupe</option>
                            <option value="Guam">Guam</option>
                            <option value="Guatemala">Guatemala</option>
                            <option value="Guernsey">Guernsey</option>
                            <option value="Guinea">Guinea</option>
                            <option value="Guinea-Bissau">Guinea-Bissau</option>
                            <option value="Guyana">Guyana</option>
                            <option value="Haiti">Haiti</option>
                            <option value="Heard Island and McDonald Islands">Heard Island and McDonald Islands</option>
                            <option value="Holy See (Vatican City)">Holy See (Vatican City)</option>
                            <option value="Honduras">Honduras</option>
                            <option value="Hong Kong">Hong Kong</option>
                            <option value="Howland Island">Howland Island</option>
                            <option value="Hungary">Hungary</option>
                            <option value="Iceland">Iceland</option>
                            <option value="India">India</option>
                            <option value="Indonesia">Indonesia</option>
                            <option value="Iran">Iran</option>
                            <option value="Iraq">Iraq</option>
                            <option value="Ireland">Ireland</option>
                            <option value="Ireland, Northern">Ireland, Northern</option>
                            <option value="Israel">Israel</option>
                            <option value="Italy">Italy</option>
                            <option value="Jamaica">Jamaica</option>
                            <option value="Jan Mayen">Jan Mayen</option>
                            <option value="Japan">Japan</option>
                            <option value="Jarvis Island">Jarvis Island</option>
                            <option value="Jersey">Jersey</option>
                            <option value="Johnston Atoll">Johnston Atoll</option>
                            <option value="Jordan">Jordan</option>
                            <option value="Juan de Nova Island">Juan de Nova Island</option>
                            <option value="Kazakhstan">Kazakhstan</option>
                            <option value="Kenya">Kenya</option>
                            <option value="Kiribati">Kiribati</option>
                            <option value="Korea, North">Korea, North</option>
                            <option value="Korea, South">Korea, South</option>
                            <option value="Kuwait">Kuwait</option>
                            <option value="Kyrgyzstan">Kyrgyzstan</option>
                            <option value="Laos">Laos</option>
                            <option value="Latvia">Latvia</option>
                            <option value="Lebanon">Lebanon</option>
                            <option value="Lesotho">Lesotho</option>
                            <option value="Liberia">Liberia</option>
                            <option value="Libya">Libya</option>
                            <option value="Liechtenstein">Liechtenstein</option>
                            <option value="Lithuania">Lithuania</option>
                            <option value="Luxembourg">Luxembourg</option>
                            <option value="Macau">Macau</option>
                            <option value="Macedonia, Former Yugoslav Republic of">Macedonia, Former Yugoslav Republic of</option>
                            <option value="Madagascar">Madagascar</option>
                            <option value="Malawi">Malawi</option>
                            <option value="Malaysia">Malaysia</option>
                            <option value="Maldives">Maldives</option>
                            <option value="Mali">Mali</option>
                            <option value="Malta">Malta</option>
                            <option value="Man, Isle of">Man, Isle of</option>
                            <option value="Marshall Islands">Marshall Islands</option>
                            <option value="Martinique">Martinique</option>
                            <option value="Mauritania">Mauritania</option>
                            <option value="Mauritius">Mauritius</option>
                            <option value="Mayotte">Mayotte</option>
                            <option value="Mexico">Mexico</option>
                            <option value="Micronesia, Federated States of">Micronesia, Federated States of</option>
                            <option value="Midway Islands">Midway Islands</option>
                            <option value="Moldova">Moldova</option>
                            <option value="Monaco">Monaco</option>
                            <option value="Mongolia">Mongolia</option>
                            <option value="Montserrat">Montserrat</option>
                            <option value="Morocco">Morocco</option>
                            <option value="Mozambique">Mozambique</option>
                            <option value="Namibia">Namibia</option>
                            <option value="Nauru">Nauru</option>
                            <option value="Nepal">Nepal</option>
                            <option value="Netherlands">Netherlands</option>
                            <option value="Netherlands Antilles">Netherlands Antilles</option>
                            <option value="New Caledonia">New Caledonia</option>
                            <option value="New Zealand">New Zealand</option>
                            <option value="Nicaragua">Nicaragua</option>
                            <option value="Niger">Niger</option>
                            <option value="Nigeria">Nigeria</option>
                            <option value="Niue">Niue</option>
                            <option value="Norfolk Island">Norfolk Island</option>
                            <option value="Northern Mariana Islands">Northern Mariana Islands</option>
                            <option value="Norway">Norway</option>
                            <option value="Oman">Oman</option>
                            <option value="Pakistan">Pakistan</option>
                            <option value="Palau">Palau</option>
                            <option value="Panama">Panama</option>
                            <option value="Papua New Guinea">Papua New Guinea</option>
                            <option value="Paraguay">Paraguay</option>
                            <option value="Peru">Peru</option>
                            <option value="Philippines">Philippines</option>
                            <option value="Pitcaim Islands">Pitcaim Islands</option>
                            <option value="Poland">Poland</option>
                            <option value="Portugal">Portugal</option>
                            <option value="Puerto Rico">Puerto Rico</option>
                            <option value="Qatar">Qatar</option>
                            <option value="Reunion">Reunion</option>
                            <option value="Romainia">Romainia</option>
                            <option value="Russia">Russia</option>
                            <option value="Rwanda">Rwanda</option>
                            <option value="Saint Helena">Saint Helena</option>
                            <option value="Saint Kitts and Nevis">Saint Kitts and Nevis</option>
                            <option value="Saint Lucia">Saint Lucia</option>
                            <option value="Saint Pierre and Miquelon">Saint Pierre and Miquelon</option>
                            <option value="Saint Vincent and the Grenadines">Saint Vincent and the Grenadines</option>
                            <option value="Samoa">Samoa</option>
                            <option value="San Marino">San Marino</option>
                            <option value="Sao Tome and Principe">Sao Tome and Principe</option>
                            <option value="Saudi Arabia">Saudi Arabia</option>
                            <option value="Scotland">Scotland</option>
                            <option value="Senegal">Senegal</option>
                            <option value="Seychelles">Seychelles</option>
                            <option value="Sierra Leone">Sierra Leone</option>
                            <option value="Singapore">Singapore</option>
                            <option value="Slovakia">Slovakia</option>
                            <option value="Slovenia">Slovenia</option>
                            <option value="Solomon Islands">Solomon Islands</option>
                            <option value="Somalia">Somalia</option>
                            <option value="South Africa">South Africa</option>
                            <option value="South Georgia and South Sandwich Islands">South Georgia and South Sandwich Islands</option>
                            <option value="Spain">Spain</option>
                            <option value="Spratly Islands">Spratly Islands</option>
                            <option value="Sri Lanka">Sri Lanka</option>
                            <option value="Sudan">Sudan</option>
                            <option value="Suriname">Suriname</option>
                            <option value="Svalbard">Svalbard</option>
                            <option value="Swaziland">Swaziland</option>
                            <option value="Sweden">Sweden</option>
                            <option value="Switzerland">Switzerland</option>
                            <option value="Syria">Syria</option>
                            <option value="Taiwan">Taiwan</option>
                            <option value="Tajikistan">Tajikistan</option>
                            <option value="Tanzania">Tanzania</option>
                            <option value="Thailand">Thailand</option>
                            <option value="Tobago">Tobago</option>
                            <option value="Toga">Toga</option>
                            <option value="Tokelau">Tokelau</option>
                            <option value="Tonga">Tonga</option>
                            <option value="Trinidad">Trinidad</option>
                            <option value="Tunisia">Tunisia</option>
                            <option value="Turkey">Turkey</option>
                            <option value="Turkmenistan">Turkmenistan</option>
                            <option value="Tuvalu">Tuvalu</option>
                            <option value="Uganda">Uganda</option>
                            <option value="Ukraine">Ukraine</option>
                            <option value="United Arab Emirates">United Arab Emirates</option>
                            <option value="United Kingdom">United Kingdom</option>
                            <option value="Uruguay">Uruguay</option>
                            <option value="Uzbekistan">Uzbekistan</option>
                            <option value="Vanuatu">Vanuatu</option>
                            <option value="Venezuela">Venezuela</option>
                            <option value="Vietnam">Vietnam</option>
                            <option value="Virgin Islands">Virgin Islands</option>
                            <option value="Wales">Wales</option>
                            <option value="Wallis and Futuna">Wallis and Futuna</option>
                            <option value="West Bank">West Bank</option>
                            <option value="Western Sahara">Western Sahara</option>
                            <option value="Yemen">Yemen</option>
                            <option value="Yugoslavia">Yugoslavia</option>
                            <option value="Zambia">Zambia</option>
                            <option value="Zimbabwe">Zimbabwe</option>
                        </select>
                        @error('country') <span class="block mt-1 text-red-400">{{ $message }}</span> @enderror
                    </div>   
                    <div class="col-span-12">
                        <label for="subject" class="text-white block mb-2">Subject <span class="text-techcapital-red">*</span></label>
                        <select name="subject" wire:model="subject" id="subject" class="w-full border bg-white p-2 outline-none">
                            <option value="">Select Subject</option>
                            <option value="Sponsorship">Sponsorship</option>
                            <option value="Advertisement">Advertisement</option>
                            <option value="Awards">Awards</option>
                            <option value="Speaking">Speaking</option>
                            <option value="Site Feedback & Customer Support">Site Feedback & Customer Support</option>
                            <option value="Other">Other</option>
                        </select>
                        @error('subject') <span class="block mt-1 text-red-400">{{ $message }}</span> @enderror
                    </div>
                    <div class="col-span-12">
                        <label for="message" class="text-white block mb-2">Message <span class="text-techcapital-red">*</span></label>
                        <textarea name="message" wire:model="message" id="message" rows="2" class="w-full border bg-white p-2 resize-none outline-none" placeholder="Message"></textarea>
                        @error('message') <span class="block mt-1 text-red-400">{{ $message }}</span> @enderror
                    </div>
                    <div class="col-span-12">
                        <input type="checkbox" wire:model="updates" name="updates" id="updates" class="mr-2">
                        <label for="updates"  class="text-white">I'd like to receive news and updates from The Tech Capital via email about events and other opportunities, products, offers, and services that may be of interest to me. For more information on how The Tech Capital uses your data, see our privacy statement.</label>
                    </div>
                    <div class="col-span-12">
                        <button type="button" wire:click.prevent="submit" class="inline-block p-2 pl-4 pr-4 bg-techcapital-red border border-techcapital-red text-white uppercase font-altgothic mr-3">Submit</button>
                        <button wire:click.prevent="toggleModal" type="button" class="inline-block p-2 pl-4 pr-4 border border-white text-white uppercase font-altgothic">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    @endif
</div>
