<div>
    @foreach($sponsors as $sponsor)
    <div class="@if ($selected === 'sponsor-' . Str::slug($sponsor->name)) top-0 left-0 right-0 bottom-0 fixed inset-0 bg-gray-600 bg-opacity-50 overflow-y-auto h-full w-full flex items-center justify-center @else hidden @endif" style="z-index:9999">
        <div class="bg-white p-4 w-80 md:w-1/3">
            <div class="full-content text-sm text-techcapital-gray-dark">
                <div class="max-h-52 overflow-y-scroll">
                    {!! nl2p($sponsor->bio) !!}
                </div>
                <p class="mt-4" style="margin-bottom:0px">
                    <a href="{{ $sponsor->url }}" title="Visit {{$sponsor->name}} website" rel="follow" class="inline-block p-2 pl-4 pr-4 bg-techcapital-red border border-techcapital-red text-white uppercase font-altgothic">Visit {{ $sponsor->name }} Website</a>
                    <a href="" wire:click.prevent="togglePopup('')" title="Close Bio" class="inline-block p-2 pl-4 pr-4 bg-techcapital-gray-dark border border-techcapital-gray-dark text-white uppercase font-altgothic">Close</a>
                </p>
            </div>            
        </div>
    </div>
    @endforeach
    @foreach($speakers as $speaker)
    <div class="@if ($selected === 'speaker-' . Str::slug($speaker->name)) top-0 left-0 right-0 bottom-0 fixed inset-0 bg-gray-600 bg-opacity-50 overflow-y-auto h-full w-full flex items-center justify-center @else hidden @endif" style="z-index:9999">
        <div class="bg-white p-4 w-80 md:w-1/3">
            <div class="full-content text-sm text-techcapital-gray-dark">
                <h2 class="font-serif text-sm text-techcapital-gray-dark font-bold mb-4 flex">
                    <span class="flex-shrink">
                        {{ $speaker->name }}
                    </span>
                    <span class="flex flex-grow justify-end items-center">
                        @if ($speaker->linkedin_url)
                            <a href="{{ $speaker->linkedin_url }}" title="Visit {{$speaker->name}} LinkedIn Profile" rel="follow"><img src="{{ Vite::asset('resources/svg/linkedin.svg') }}" alt="LinkedIn" title="LinkedIn" class="h-3 w-3" loading="lazy"/></a>
                        @endif
                        @if ($speaker->twitter_url)
                            <a href="{{ $speaker->twitter_url }}" title="Visit {{$speaker->name}} Twitter Profile" rel="follow" class="ml-4"><img src="{{ Vite::asset('resources/svg/twitter.svg') }}" alt="Twitter" title="Twitter" class="h-3 w-3" loading="lazy"/></a>
                        @endif
                    </span>
                </h2>
                <div class="max-h-52 overflow-y-scroll">
                    {!! nl2p($speaker->bio) !!}
                </div>
                <p class="mt-4" style="margin-bottom:0px">
                    <a href="#" wire:click.prevent="togglePopup('')" title="Close Bio" class="inline-block p-2 pl-4 pr-4 bg-techcapital-gray-dark border border-techcapital-gray-dark text-white uppercase font-altgothic">Close</a>
                </p>
            </div>
        </div>
    </div>
    @endforeach
    @foreach($judges as $judge)
        <div class="@if ($selected === 'judge-' . Str::slug($judge->name)) top-0 left-0 right-0 bottom-0 fixed inset-0 bg-gray-600 bg-opacity-50 overflow-y-auto h-full w-full flex items-center justify-center @else hidden @endif" style="z-index:9999">
            <div class="bg-white p-4 w-80 md:w-1/3">
                <div class="full-content text-sm text-techcapital-gray-dark p-4">
                    <h2 class="font-serif text-sm text-techcapital-gray-dark font-bold mb-4 flex">
                        <span class="flex-shrink">
                            {{ $judge->name }}
                        </span>
                        <span class="flex flex-grow justify-end items-center">
                            @if ($judge->linkedin_url)
                                <a href="{{ $judge->linkedin_url }}" title="Visit {{$judge->name}} LinkedIn Profile" rel="follow"><img src="{{ Vite::asset('resources/svg/linkedin.svg') }}" class="h-3 w-3" alt="LinkedIn" title="LinkedIn" loading="lazy"/></a>
                            @endif
                            @if ($judge->twitter_url)
                                <a href="{{ $judge->twitter_url }}" title="Visit {{$judge->name}} Twitter Profile" rel="follow" class="ml-4"><img src="{{ Vite::asset('resources/svg/twitter.svg') }}" class="h-3 w-3" alt="Twitter" title="Twitter" loading="lazy"/></a>
                            @endif
                        </span>
                    </h2>
                    {!! nl2p($judge->bio) !!}
                    <p class="mt-4"><a href="" wire:click.prevent="togglePopup('')" title="Close Bio" class="inline-block p-2 pl-4 pr-4 bg-techcapital-gray-dark border border-techcapital-gray-dark text-white uppercase font-altgothic">Close</a></p>
                </div>
            </div>
        </div>
    @endforeach    
</div>
