<div class="bg-techcapital-gray-ultra">
    <div class="p-2 lg:pl-0 lg:pr-0">
        <div class="container lg:max-w-screen-lg mx-auto">
            <div class="grid grid-cols-12 gap-4 lg:gap-8 items-center">
                <div class="col-span-4 lg:col-span-3">
                    <a href="/" title="Return to The Techcapital Events"><img src="{{ Vite::asset('resources/svg/logotype-white.svg') }}" alt="The Tech Capital" title="The Tech Capital" class="w-4" loading="lazy"></a>
                </div>
                <div class="hidden lg:block lg:col-span-6">
                    <ul class="m-0 p-0 flex text-white text-sm uppercase font-altgothic text-center">
                        <li class="flex-grow"><a href="https://thetechcapital.com">News</a></li>
                        <li class="flex-grow"><a href="https://thetechcapital.com/reports">Reports</a></li>
                        <li  class="flex-grow"><a href="https://events.thetechcapital.com">Conferences</a></li>
                        <li class="flex-grow"><a href="https://events.thetechcapital.com/page/the-tech-capital-apac-awards-2024">Awards</a></li>
                        <li class="flex-grow"><a href="mailto:enquiries@thetechcapital.com">Sponsor</a></li>
                    </ul>
                </div>
                <div class="col-span-8 lg:col-span-3 flex justify-end relative">
                    <ul class="m-0 p-0 flex items-center">
                        <li class="flex-grow-0 mr-4"><a href="https://www.linkedin.com/company/the-tech-capital" target="_blank" rel="noopener" title="Connect on LinkedIn"><img src="{{ Vite::asset('resources/svg/linkedin-white.svg') }}" class="w-3 h-3" alt="Linkedin" title="Linkedin" loading="lazy"/></a></li>
                        <li class="flex-grow-0 mr-4"><a href="https://twitter.com/thetechcapital_" target="_blank" rel="noopener" title="Follow us on Twitter"><img src="{{ Vite::asset('resources/svg/twitter-white.svg') }}" class="w-3 h-3" alt="Twitter" title="Twitter" loading="lazy"/></a></li>
                        <li class="flex-grow-0 mr-4"><a href="https://instagram.com/thetechcapital_" target="_blank" rel="noopener" title="Follow us on Instagram"><img src="{{ Vite::asset('resources/svg/instagram-white.svg') }}" class="w-3 h-3" alt="Instagram" title="Instagram" loading="lazy"/></a></li>
                        <li class="flex-grow-0">
                            <a href="#" wire:click.prevent="toggle" title="More Social Networks">
                                @if ($open === true)
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="h-4 w-4 stroke-current text-white">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 15l7-7 7 7" style="stroke:rgb(190,22,34);"/>
                                    </svg>
                                @else
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="h-4 w-4 stroke-current text-white">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"/>
                                    </svg>
                                @endif
                            </a>
                        </li>
                    </ul>      
                    @if ($open === true)
                        <div class="absolute right-0 top-8 bg-white w-1/2 shadow-md rounded-sm">
                            <div class="p-4">
                                <ul class="grid grid-cols-4 gap-4">
                                    <li class="col-span-4 lg:col-span-1"><a href="https://www.facebook.com/The-Tech-Capital-101679965480510" target="_blank" rel="noopener" title="Friend us on Facebook"><img src="{{ Vite::asset('resources/svg/facebook.svg') }}" class="w-3 h-3" alt="Facebook" title="Facebook" loading="lazy"/></a></li>
                                    <li class="col-span-4 lg:col-span-1"><a href="https://www.youtube.com/channel/UCPZ8yuPvtECZCwV2g9OkX1w" target="_blank" rel="noopener" title="Watch us on YouTube"><img src="{{ Vite::asset('resources/svg/youtube.svg') }}" class="w-3 h-3" alt="Youtube" title="Youtube" loading="lazy"/></a></li>
                                </ul>
                            </div>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div>
