<div>
    <div class="p-4 pb-0 lg:pb-4 bg-white lg:mb-4">
        <div class="bg-techcapital-gray p-4">
            <h2 class="font-altgothic uppercase text-xl text-techcapital-red mb-2">Attendees</h2>
            <p class="mb-4">The following attendees have been added to your registration</p>
            <div class="grid grid-cols-12 border-l border-r border-t border-gray-400">
                <div class="hidden lg:grid col-span-4 border-b py-2 pl-2 border-gray-400 font-altgothic uppercase text-techcapital-red h-[54px] flex items-center">Forename</div>
                <div class="hidden lg:grid col-span-4 border-b py-2 pl-2 border-gray-400 font-altgothic uppercase text-techcapital-red h-[54px] flex items-center">Surname</div>
                <div class="hidden lg:grid col-span-4 border-b py-2 pl-2 border-gray-400 font-altgothic uppercase text-techcapital-red h-[54px] flex items-center">Email</div>
                @foreach($attendees as $attendee)
                    <div class="col-span-12 lg:col-span-4 flex items-center border-b py-2 pl-2 border-gray-400 h-[54px]">
                        <span class="inline-block mr-2 lg:hidden font-bold">Forename: </span>{{ $attendee['forename'] }}
                    </div>
                    <div class="col-span-12 lg:col-span-4 flex items-center border-b py-2 pl-2 border-gray-400 h-[54px]">
                        <span class="inline-block mr-2 lg:hidden font-bold">Surname: </span>{{ $attendee['surname'] }}
                    </div>
                    <div class="col-span-12 lg:col-span-4 flex items-center border-b py-2 pl-2 border-gray-400 h-[54px]">
                        <span class="inline-block mr-2 lg:hidden font-bold">Email: </span>{{ $attendee['email']}}
                    </div>
                @endforeach
            </div>
        </div>
    </div>
    @if (count($this->extras) > 0)
        <div class="p-4 bg-white mb-4">
            <div class="bg-techcapital-gray p-4">
                <h2 class="font-altgothic uppercase text-xl text-techcapital-red mb-2">Optional Extras</h2>
                <p class="mb-4">The following optional extras have been added to your registration</p>
                <div class="grid grid-cols-12 border-l border-r border-t border-gray-400">
                    <div class="hidden lg:grid col-span-5 border-b py-2 pl-2 border-gray-400 font-altgothic uppercase text-techcapital-red h-[54px] flex items-center">Name</div>
                    <div class="hidden lg:grid col-span-3 border-b py-2 pl-2 border-gray-400 font-altgothic uppercase text-techcapital-red h-[54px] flex items-center">Quantity</div>
                    <div class="hidden lg:grid col-span-2 border-b py-2 pl-2 border-gray-400 font-altgothic uppercase text-techcapital-red h-[54px] flex items-center">Price (Each)</div>
                    <div class="hidden lg:grid col-span-2 border-b py-2 pl-2 border-gray-400 font-altgothic uppercase text-techcapital-red h-[54px] flex items-center">Total</div>
                    @foreach($extras as $extra)
                        <div class="col-span-12 lg:col-span-5 flex items-center border-b py-2 pl-2 border-gray-400 h-[54px]">
                            <span class="inline-block mr-2 lg:hidden font-bold">Name:</span>{{ $extra->pricing_extra->name }}
                        </div>
                        <div class="col-span-12 lg:col-span-3 flex items-center border-b py-2 pl-2 border-gray-400 h-[54px]">
                            <span class="inline-block mr-2 lg:hidden font-bold">Quantity:</span>{{ $extra->quantity}}
                        </div>
                        <div class="col-span-12 lg:col-span-2 flex items-center border-b py-2 pl-2 border-gray-400 h-[54px]">
                            <span class="inline-block mr-2 lg:hidden font-bold">Price:</span>&#163;{{ number_format($extra->price, 2) }}
                        </div>
                        <div class="col-span-12 lg:col-span-2 flex items-center border-b py-2 pl-2 border-gray-400 h-[54px]">
                            <span class="inline-block mr-2 lg:hidden font-bold">Total:</span>&#163;{{ number_format($extra->price * $extra->quantity, 2) }}
                        </div>
                    @endforeach
                </div>

            </div>
        </div>
    @endif
    <livewire:ecommerce.totalizer :page="$page" :registration="$registration" :attendees="$attendees"/>
    <form id="payment-form">
        <div class="p-4 py-0 lg:py-4 bg-white lg:mb-4">
            <div class="bg-techcapital-gray p-4">                
                <h2 class="font-altgothic uppercase text-xl text-techcapital-red mb-2">Payment</h2>
                <p>Please make a payment using the form below.</p>
                <p class="mb-4">Your payment will be processed securely with Stripe.</p>
                <div id="payment-message" class="hidden bg-red-100 border border-red-400 text-red-400 p-4 mb-4"></div>
                <div id="payment-element" class="mb-4">
                <!--Stripe.js injects the Payment Element-->
                </div>
                <p class="mb-4">If you require an invoice for your ticket purchase, please email <a href="mailto:finance@thetechcapital.co.uk">finance@thetechcapital.co.uk</a> after payment</p>
            </div>
        </div>
        <div class="p-4 bg-white lg:mb-4">
            <div class="bg-techcapital-gray p-4 flex items-center">  
                <span class="grow">              
                    <button wire:click="cancel" class="inline-block p-2 pl-4 pr-4 bg-techcapital-gray-dark border border-techcapital-gray-dark text-white uppercase font-altgothic">Cancel Registration</button>
                </span>
                <span class="shrink">
                    <button id="submit" class="inline-block p-2 pl-4 pr-4 bg-techcapital-red border border-techcapital-red text-white uppercase font-altgothic">
                        <div class="spinner hidden" id="spinner"></div>
                        <span id="button-text">Pay now</span>
                    </button>
                </span>
            </div>
        </div>
    </form>   
</div>
