<div id="field-{{$field['id']}}" class="mb-4 bg-white rounded-md border-2 text-techcapital-gray-dark border-techcapital-gray-light">
    <div class="flex p-4">
        <div class="grow">
            <h2 class="font-altgothic uppercase text-base text-techcapital-gray-dark">Book A Table</h2>
            <p class="text-sm">Book a table at this event by filling in the form to get in touch.</p>
        </div>
        <div class="shrink">
            <button wire:click="toggleOpen" class="inline-block p-2 pl-4 pr-4 bg-techcapital-red border border-techcapital-red text-white uppercase font-altgothic">
                Book A Table
            </button>
        </div>
    </div>
    @if ($open)
        <div class="text-sm border-t-2 border-techcapital-gray-light">
            <div class="p-4">
                <p class="mb-4">{{$field['message']}}</p>
                <div class="grid grid-cols-12 gap-4">
                    <div class="col-span-12 lg:col-span-6">
                        <label for="name" class="text-sm font-bold block">Name *</label>
                        <input wire:model="name" type="text" id="name" name="name" placeholder="Name..." class="w-full p-2 border border-techcapital-gray-light text-sm text-techcapital-gray-dark" />
                        @error('name')
                            <p class="text-red-500 text-xs mt-1">{{ $message }}</p>
                        @endif
                    </div>
                    <div class="col-span-12 lg:col-span-6">
                        <label for="email" class="text-sm font-bold block">Email *</label>
                        <input wire:model="email" type="text" id="email" name="email" placeholder="Email..." class="w-full p-2 border border-techcapital-gray-light text-sm text-techcapital-gray-dark" />
                        @error('email')
                            <p class="text-red-500 text-xs mt-1">{{ $message }}</p>
                        @endif
                    </div>    
                    <div class="col-span-12 lg:col-span-6">
                        <label for="phone" class="text-sm font-bold block">Phone</label>
                        <input wire:model="phone" type="text" id="phone" name="phone" placeholder="Phone..." class="w-full p-2 border border-techcapital-gray-light text-sm text-techcapital-gray-dark" />

                    </div>    
                    <div class="col-span-12 lg:col-span-6">
                        <label for="company" class="text-sm font-bold block">Company *</label>
                        <input wire:model="company" type="text" id="company" name="company" placeholder="Company..." class="w-full p-2 border border-techcapital-gray-light text-sm text-techcapital-gray-dark" />
                        @error('company')
                            <p class="text-red-500 text-xs mt-1">{{ $message }}</p>
                        @endif
                    </div>
                    <div class="col-span-12">
                        <textarea wire:model="message" class="w-full p-2 border border-techcapital-gray-light text-sm text-techcapital-gray-dark resize-none" rows="4" placeholder="Any additional information we need..."></textarea>
                    </div>
                    <div class="col-span-12">
                        <button wire:click="submit" class="inline-block p-2 pl-4 pr-4 bg-techcapital-red border border-techcapital-red text-white uppercase font-altgothic">Submit</button>
                        <button wire:click="toggleOpen" class="inline-block p-2 pl-4 pr-4 bg-techcapital-gray-dark border border-techcapital-gray-dark text-white uppercase font-altgothic">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    @endif
</div>