<div id="field-{{$field['id']}}" class="mb-4">
    <div class="grid gap-4 lg:grid-flow-col lg:auto-cols-fr">
        @if ($multiple)
            @foreach($group->pricing_group_prices()->orderBy('price', 'ASC')->get() as $price)
                <div class="text-center" wire:click="changeSelected({{ $price->id }})">
                    <div class="p-4 bg-white rounded-md border-2 text-techcapital-red @if(session()->has('price') && session('price')->id === $price->id) border-techcapital-red @else border-techcapital-gray-light @endif">
                        <p class="font-bold text-sm">{{ $price->name }}</p>
                        @if ($price->text)
                            <p class="text-sm">{{ $price->text }}</p>
                        @endif
                        <p class="text-sm mb-4">£{{ $price->price }} @if ($price->vat)Exc VAT @endif</p>
                        <button wire:click="changeSelected({{ $price->id }})" class="inline-block p-2 pl-4 pr-4 bg-techcapital-red border border-techcapital-red text-white uppercase font-altgothic">Select</button>
                        <button wire:click="toggleOpen({{ $price->id }})" class="inline-block p-2 pl-4 pr-4 bg-techcapital-gray-dark border border-techcapital-gray-dark text-white uppercase font-altgothic">
                            @if ($open == $price->id)
                                Less
                            @else
                                More
                            @endif
                        </button>
                        @if ($open == $price->id)
                            <div class="price-content">
                                {!! Str::markdown($price->description) !!}
                            </div>
                        @endif
                    </div>
                </div>
            @endforeach
        @else 
            @foreach($group->pricing_group_prices()->orderBy('price', 'ASC')->get() as $price)
                <div class="text-center">
                    <div class="p-4 bg-white rounded-md border-2 @if($price->status === 1) text-techcapital-red border-techcapital-red @else text-techcapital-gray-light border-techcapital-gray-light @endif">
                        <p class="font-bold text-sm">{{ $price->name }}</p>
                        @if ($price->text)
                            <p class="text-sm">{{ $price->text }}</p>
                        @endif
                        <p class="text-sm">£{{ $price->price }} @if ($price->vat)Exc VAT @endif</p>
                    </div>
                </div>
            @endforeach
        @endif
    </div>
</div>
