<div>
    @if ($form)
        <div id="form-{{ $form->id }}" dusk="{{ Str::slug($form->name) }}" class="container lg:max-w-screen-lg mx-auto bg-white">
            <div class="p-4 pt-8 pb-8">
                <div class="bg-techcapital-gray p-4 rounded-lg">    
                    <h2 class="font-sans uppercase text-xs mb-2 border-l-8 border-techcapital-red pl-2 text-techcapital-gray-dark flex items-center">The Tech Capital</h2>
                    <h2 class="font-altgothic uppercase text-3xl text-techcapital-gray-dark mb-4">
                        {{ $form->heading }}
                    </h2>                    
                    <x-content.common.error-alert :errors="$errors"/>
                    @foreach($fields as $field)
                        @livewire('forms.' . $field['type'], ['fields' => $fields, 'field' => $field, 'page' => $page], key($field['id']))
                    @endforeach
                    <div class="grid grid-cols-12 gap-4">
                        <div class="col-span-12 lg:col-span-2"></div>
                        <div class="col-span-12 lg:col-span-10">
                            <button dusk="submit" wire:click="submit" class="inline-block p-2 pl-4 pr-4 bg-techcapital-red border border-techcapital-red text-white uppercase font-altgothic">Submit</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endif
</div>
