<div id="layout-{{ $component['id'] }}">    
    <x-content.common.preview-component-identifier :component="$component"/>
    @if (count($groups) > 0)
        <div class="container lg:max-w-screen-lg mx-auto bg-white">
            <div class="p-4 pt-8 pb-4">
                    <h2 class="font-sans uppercase text-xs mb-2 border-l-8 border-techcapital-red pl-2 text-techcapital-gray-dark  flex items-center">The Tech Capital</h2>
                    <h2 class="font-altgothic uppercase text-3xl mb-8 text-techcapital-gray-dark ">Award Categories</h2>
                    @foreach($groups as $group)
                        <span class="inline-block font-altgothic text-xl uppercase bg-techcapital-red text-white p-1 mb-4">
                            {{ $group }}
                        </span>
                        @foreach($categories[$group] as $category)
                            <div class="mb-4">
                                <h2 class="font-altgothic text-base uppercase text-techcapital-gray-dark">
                                    <img src="{{ Vite::asset('resources/svg/logotype-red.svg') }}" class="w-4 h-4 inline-block mr-4" alt="{{ $category['name'] }} Category" title="{{ $category['name'] }} Category" loading="lazy"/>
                                    <span class="inline-block mr-4">{{$category['name']}}</span>
                                    @if (isset($category['filename']) && isset($category['url']) && isset($category['caption']))
                                        <span class="flex lg:inline-flex">
                                            <span class="inline-block mr-4 font-sans text-xs text-techcapital-gray-dark">{{ $category['caption'] }}</span>
                                            <span class="inline-block"><a href="{{ $category['url'] }}" target="_blank" rel="nofollow" title="{{ $category['caption'] }}"><img src="/image/{{ $category['filename'] }}/80/20" alt="{{ $category['caption'] }}" title="{{ $category['caption'] }}" class="grayscale"></a></span>
                                        </span>
                                    @endif
                                    @if (isset($category['caption']) && !(isset($category['filename']) && isset($category['url'])))
                                        <span class="flex lg:inline-flex">
                                            <span class="inline-block mr-4 font-sans text-xs text-techcapital-gray-dark">{{ $category['caption'] }}</span>
                                        </span>
                                    @endif
                                </h2>
                                <p class="text-sm text-techcapital-gray-dark">{!! nl2br($category['content']) !!}</p>
                                @if (isset($category['criteria']))
                                    <div class="mt-4">
                                        @if ($open === $category['id'])
                                            <div class="text-sm text-techcapital-gray-dark mb-4">
                                                {!! nl2br($category['criteria']) !!}
                                            </div>
                                        @endif
                                        <button wire:click="toggleOpen({{ $category['id'] }})" class="text-sm text-techcapital-gray-dark">
                                            @if ($open === $category['id'])
                                                <span class="font-altgothic uppercase text-techcapital-red flex items-center">
                                                    <span class="inline-block mr-2">
                                                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
                                                            <path stroke-linecap="round" stroke-linejoin="round" d="M19.5 12h-15" />
                                                        </svg>
                                                    </span>
                                                    Hide Criteria
                                                </span>
                                            @else
                                                <span class="font-altgothic uppercase text-techcapital-red flex items-center">
                                                    <span class="inline-block mr-2">
                                                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
                                                            <path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" />
                                                        </svg>
                                                    </span>
                                                    Show Criteria
                                                </span>
                                            @endif
                                        </button>
                                    </div>
                                @endif
                            </div>
                        @endforeach
                        @if (!$loop->last)
                            <hr class="mb-8"/>
                        @endif
                    @endforeach
                </div>
            </div>
        </div>
    @else
        @if (count($categories) > 0)
            <div class="container lg:max-w-screen-lg mx-auto bg-white">
                <div class="p-4 pt-8 pb-4">
                        <h2 class="font-sans uppercase text-xs mb-2 border-l-8 border-techcapital-red pl-2 text-techcapital-gray-dark  flex items-center">The Tech Capital</h2>
                        <h2 class="font-altgothic uppercase text-3xl mb-8 text-techcapital-gray-dark ">Award Categories</h2>
                        @foreach($categories as $category)
                            <h2 class="font-altgothic text-base uppercase text-techcapital-gray-dark">
                                <img src="{{ Vite::asset('resources/svg/logotype-red.svg') }}" class="w-4 h-4 inline-block mr-4" alt="{{ $category->name }} Category" title="{{ $category->name }} Category" loading="lazy"/>
                                <span class="inline-block mr-4">{{$category->name}}</span>
                                @if ($category->filename && $category->url && $category->caption)
                                    <span class="flex lg:inline-flex">
                                        <span class="inline-block mr-4 font-sans text-xs text-techcapital-gray-dark">{{ $category->caption }}</span>
                                        <span class="inline-block"><a href="{{ $category->url }}" target="_blank" rel="nofollow" title="{{ $category->caption }}"><img src="/image/{{ $category->filename }}/80/20" alt="{{ $category->caption }}" title="{{ $category->caption }}" class="grayscale"></a></span>
                                    </span>
                                @endif
                                @if ($category->caption && !($category->filename && $category->url))
                                    <span class="flex lg:inline-flex">
                                        <span class="inline-block mr-4 font-sans text-xs text-techcapital-gray-dark">{{ $category->caption }}</span>
                                    </span>
                                @endif
                            </h2>
                            <p class="text-sm text-techcapital-gray-dark @if (!$loop->last) mb-4 @endif">{!! nl2br($category->content) !!}</p>
                        @endforeach
                    </div>
                </div>
            </div>
        @endif
    @endif
</div>