<div id="layout-{{ $component['id'] }}">
    <x-content.common.preview-component-identifier :component="$component"/>
    <div class="container lg:max-w-screen-lg mx-auto bg-white">
        <div class="p-4 pt-8 pb-8">
            <h2 class="font-sans uppercase text-xs mb-2 border-l-8 border-techcapital-red pl-2 text-techcapital-gray-dark  flex items-center">The Tech Capital</h2>
            <h2 class="font-altgothic uppercase text-3xl mb-8 text-techcapital-gray-dark ">Event Agenda</h2>
            <ul class="flex mb-4">
                <li class="mr-2 px-4 py-2 rounded-sm @if (!$selected) bg-techcapital-red text-white @else bg-techcapital-gray @endif"><button wire:click="changeDate()">All</button></li>
                @foreach($dates as $date)
                    <li class="mr-2 px-4 py-2 rounded-sm @if ($selected && $selected->format('Y-m-d') === Carbon\Carbon::parse($date)->format('Y-m-d')) bg-techcapital-red text-white @else bg-techcapital-gray @endif">
                        <button wire:click="changeDate('{{$date}}')">{{Carbon\Carbon::parse($date)->format('jS F')}}</button>
                    </li>
                @endforeach
            </ul>
            @if (count($programmes) > 0)
                <div class="grid grid-cols-12 gap-4">
                    @foreach($programmes as $programme)
                        @if ($programme->track)
                            <div class="col-span-12 lg:col-span-6 @if($programme->track === 'track-1') bg-techcapital-gray @else bg-techcapital-red-lighter @endif">
                                <div class="p-4">
                                    <span class="font-altgothic text-base uppercase text-techcapital-red mb-4 block">{{ $programme->track === 'track-1' ? 'Track 1' : 'Track 2' }}</span>
                                    <span class="block font-altgothic text-xs">{{ strtoupper($programme->starts_at->setTimezone('Europe/London')->format('jS F')) }} {{ strtoupper($programme->starts_at->setTimezone('Europe/London')->format('H:i')) }} - {{ strtoupper($programme->ends_at->setTimezone('Europe/London')->format('H:i')) }}</span>
                                    <h2 class="font-altgothic text-base uppercase text-techcapital-gray-dark mb-4">{{$programme->title}}</h2>                             
                                    <div class="full-content text-sm text-techcapital-gray-dark mb-2">
                                        @if (Str::wordCount($programme->description) > 20)
                                            @if ($open !== $programme->id)
                                                <p>
                                                    {{ Str::words($programme->description, 20, '...') }}
                                                    <button wire:click="toggleOpen({{$programme->id}})" class="text-techcapital-red focus:outline-none">
                                                        More
                                                    </button>                                                
                                                </p>
                                            @else 
                                                {!! Str::markdown($programme->description) !!}
                                                <button wire:click="toggleOpen({{$programme->id}})" class="text-techcapital-red focus:outline-none">
                                                    Less
                                                </button>
                                            @endif
                                        @else
                                            {!! Str::markdown($programme->description) !!}
                                        @endif
                                    </div>
                                    @if ($programme->speakers()->count() > 0)
                                        <div>
                                            <div class="grid grid-cols-2 gap-4">
                                            @foreach($programme->speakers()->orderBy('chair', 'DESC')->get() as $speaker)
                                                <div class="col-span-2 lg:col-span-1">
                                                    <div class="grid grid-cols-12">
                                                        <div class="col-span-4">
                                                            <img src="/image/{{ $speaker->filename }}/120/120" alt="{{ $speaker->name }}" title="{{ $speaker->name }}" class="rounded-full w-16 h-16 border border-techcapital-gray-ultra p-0.5 filter grayscale" loading="lazy">
                                                        </div>
                                                        <div class="col-span-8 flex items-center">
                                                            <div>
                                                                @if ($speaker->chair)
                                                                    <span class="block text-xs uppercase font-serif">Chair</span>
                                                                @endif                                                                
                                                                <h2 class="font-serif text-techcapital-gray-dark text-sm">{{ $speaker->name }}</h2>
                                                                <p class="font-sans text-xxs text-techcapital-red uppercase">{{ $speaker->company }}<span class="block">{{ $speaker->position }}</span></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                            </div>
                                        </div>
                                    @endif                                       
                                </div>
                            </div>
                        @else
                            <div class="col-span-12">
                                <span class="block text-xs">{{ strtoupper($programme->starts_at->format('jS F')) }}</span>
                                <div class="grid grid-cols-12 gap-4">
                                    <div class="col-span-12 lg:col-span-2">
                                        <span class="block font-altgothic text-techcapital-red text-base">{{ $programme->starts_at->setTimezone('Europe/London')->format('H:i') }} - {{ $programme->ends_at->setTimezone('Europe/London')->format('H:i')}}</span>
                                    </div>
                                    <div class="col-span-12 lg:col-span-10">
                                        <h2 class="font-altgothic text-base uppercase text-techcapital-gray-dark">{{$programme->title}}</h2>                                        
                                        @if ($programme->description)                   
                                            <div class="text-sm mt-2 text-techcapital-gray-dark block-content">
                                                {!! Str::markdown($programme->description) !!}
                                            </div>
                                        @endif     
                                        @if ($programme->speakers()->count() > 0)
                                            <div class="mt-2">
                                                <div class="grid grid-cols-3 gap-4">
                                                @foreach($programme->speakers()->orderBy('chair', 'DESC')->get() as $speaker)
                                                    <div class="col-span-3 lg:col-span-1">
                                                        <div class="grid grid-cols-12">
                                                            <div class="col-span-3">
                                                                <img src="/image/{{ $speaker->filename }}/90/90" alt="{{ $speaker->name }}" title="{{ $speaker->name }}" class="rounded-full border border-techcapital-gray-ultra p-0.5 filter grayscale" width="70" height="70" loading="lazy">
                                                            </div>
                                                            <div class="col-span-9 pl-4 flex items-center">
                                                                <div>
                                                                    @if ($speaker->chair)
                                                                        <span class="block text-xs uppercase font-serif">Chair</span>
                                                                    @endif
                                                                    <h2 class="font-serif text-techcapital-gray-dark text-sm">{{ $speaker->name }}</h2>
                                                                    <p class="font-sans text-xxs text-techcapital-red uppercase">{{ $speaker->company }}<span class="block">{{ $speaker->position }}</span></p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endforeach
                                                </div>
                                            </div>
                                        @endif             
                                    </div>
                                </div>
                            </div>
                            @if (!$loop->last)
                                <div class="col-span-12">
                                    <hr/>
                                </div>
                            @endif
                        @endif
                    @endforeach
                </div>           
            @endif
        </div>
    </div>
</div>
