<div id="layout-{{$component['id']}}">
    <x-content.common.preview-component-identifier :component="$component"/>
    <div class="container lg:max-w-screen-lg mx-auto bg-white">
        <div class="p-4">
            <h3 class="font-altgothic uppercase text-techcapital-red text-3xl mb-8">Related Articles</h3>
            <div class="grid grid-cols-12 gap-4">
                @foreach($articles as $article)
                <div class="col-span-12 lg:col-span-3">
                    @if (isset($images[$article->id]))
                        <div class="mb-4">
                            <img src="/image/{{ $images[$article->id] }}/290/163" class="w-full mb-4 rounded-lg border border-techcapital-gray-dark p-1 inline-block" alt="{{ strip_tags($article->title->rendered) }}" width="290" height="163">
                        </div>
                    @endif
                    <h2 class="font-serif font-bold mb-4 text-techcapital-gray-dark">
                        <a href="{{ $article->link }}" title="{{ strip_tags($article->title->rendered) }}" target="_blank"><img src="{{ Vite::asset('resources/svg/logotype-red.svg') }}" class="inline-block h-4 w-4 mr-2" alt="{{ strip_tags($article->title->rendered) }}">{{ $article->title->rendered}}</a>
                    </h2>
                    <p class="font-sans text-sm text-techcapital-gray-dark">{{ Str::words(strip_tags($article->excerpt->rendered),20) }}</p>
                </div>
                @endforeach
            </div>
        </div>
    </div>
</div>