<div id="layout-{{ $component['id'] }}">
    <x-content.common.preview-component-identifier :component="$component"/>
    <div class="container lg:max-w-screen-lg mx-auto bg-white">
        <div class="p-4">
            <div class="grid grid-cols-12 gap-4 mb-8">
                <div class="col-span-12">
                    <h2 class="font-sans uppercase text-xs mb-2 border-l-8 border-techcapital-red pl-2 text-techcapital-gray-dark flex items-center">The Tech Capital</h2>
                    <h2 class="font-altgothic uppercase text-techcapital-gray-dark  text-3xl">Upcoming Partner Events</h2>
                </div>
            </div>
            <div class="grid grid-cols-12 gap-4">
                @foreach($events as $event)
                    <div class="col-span-12 sm:col-span-4 xl:col-span-3 text-center">
                        <article class="mb-4 lg:mb-0">
                            <div class="mb-4">
                                <a href="{{ $event->url }}" title="Visit {{ $event->name }} Event Page"  target="{{$event->target}}">     
                                    <img src="/image/{{ $event->filename }}/240/240" alt="Visit {{ $event->name }} Event Page" title="Visit {{ $event->name }} Event Page" class="rounded-full border border-techcapital-gray-dark p-1 inline-block" loading="lazy" width="120" height="120" loading="lazy">
                                </a>
                            </div>
                            @if ($event->logo)
                                <p class="mt-2 mb-4">
                                    <img src="{{ Storage::disk('s3')->url($event->logo) }}" alt="{{ $event->name }}" title="{{ $event->name }}" class="inline-block" loading="lazy" width="59" height="33">
                                </p>
                            @endif
                            <h2 class="font-serif font-bold mb-4 text-techcapital-gray-dark"><a href="{{ $event->url }}" title="Visit {{ $event->name }} Event Page" target="{{$event->target}}">{{ $event->name }}</a></h2>
                            @if ($event->starts_at->isSameDay($event->ends_at))
                                <p class="font-sans text-sm text-techcapital-gray-dark">{{ $event->starts_at->setTimezone('Europe/London')->format('d F Y') }}</p>
                            @else
                                <p class="font-sans text-sm text-techcapital-gray-dark">{{ $event->starts_at->setTimezone('Europe/London')->format('d') }}-{{ $event->ends_at->setTimezone('Europe/London')->format('d') }} {{ $event->starts_at->setTimezone('Europe/London')->format('F Y') }}</p>
                            @endif
                            <p class="font-sans text-sm mb-4 text-techcapital-gray-dark">{{ $event->location }}</p>
                            <p class="text-sm text-techcapital-gray-dark">
                                <a href="{{ $event->url }}" title="Visit {{ $event->name }} Event Page" target="{{$event->target}}">
                                    Visit Event Page
                                </a>
                            </p>
                        </article>
                    </div>
                @endforeach  
            </div>

        </div>
    </div>
</div>