<div wire:poll.5000ms="loadChats">
    <div class="bg-white p-4 shadow rounded-sm">
        @if ($selected)
            <h2 class="font-serif text-xl mb-4">Chatting with {{ $target->forename }}</h2>
            <div>
                @if ($chats->count() > 0)
                    @foreach($chats as $chat)
                        <div class="flex @if ($chat->from->id === auth()->user()->id) justify-end @else justify-start @endif  @if(!$loop->last) mb-4 @endif">
                            <div class="border-2 @if($chat->from->id === auth()->user()->id) border-[#5fc9f8] @else border-[#53d769] @endif px-3 py-2 rounded-full flex items-center shadow">
                                <x-portal.profiles.profile-avatar :user="$chat->from" size="200" width="100" height="100" css="w-8 h-8 mr-2"/>
                                {{ $chat->message }}
                            </div>
                        </div>
                    @endforeach
                @else
                   <p>No messages yet</p>     
                @endif
            </div>
        @else
            <div class="p-4">
                <p>Select a user to view chats</p>
            </div>
        @endif
    </div>

    @if ($selected)
        <div class="bg-white p-4 shadow mt-4 rounded-sm">
            <div class="grid grid-cols-4 gap-4">
                <div class="col-span-4 lg:col-span-3">
                    <input wire:model="message" type="text" class="w-full py-2 px-3 rounded-sm shadow focus:outline-none border @error('message') border-techcapital-red @else border-techcapital-gray-light @endif" placeholder="Type your message here..."/>
                </div>
                <div class="col-span-4 lg:col-span-1">
                    <input wire:click.prevent="send" type="button" class="w-full bg-techcapital-red border-2 border-techcapital-red border border-techcapital-red text-white font-bold py-2 px-3 rounded-sm" value="Send"/>
                </div>
            </div>
        </div>
    @endif
</div>
