<div class="p-2 bg-white rounded-sm shadow">
    <div class="grid grid-cols-12 gap-4">
        <div class="col-span-3 flex items-center">
            <button wire:click.prevent="$emit('open-user-dialog', {{ $user->id }})">
                <x-portal.profiles.profile-avatar :user="$user" size="200" width="100" height="100" css="w-16 h-16"/>
            </button>
        </div>
        <div class="col-span-9 flex items-center justify-between">
            @if ($user->portal)
                <div>
                    <h2 class="font-serif text-techcapital-gray-dark font-bold text-sm" wire:click.prevent="$emit('open-user-dialog', {{ $user->id }})">{{ ucfirst($user->forename) }} {{ ucfirst($user->surname) }}</h2>
                    @if ($profile && $profile->company)
                        <h3 class="font-sans text-xs text-techcapital-gray-dark uppercase" wire:click.prevent="$emit('open-user-dialog', {{ $user->id }})">{{ ucfirst($profile->company) }}</h3>
                    @endif
                    @if ($profile && $profile->position)
                        <h3 class="font-sans text-xs text-techcapital-red uppercase" wire:click.prevent="$emit('open-user-dialog', {{ $user->id }})">{{ ucfirst($profile->position) }}</h3>
                    @endif
                </div>
            @else
                <div>
                    <h2 class="font-serif text-techcapital-gray-dark font-bold text-sm">Anonymous Attendee</h2>
                    <h3 class="font-sans text-xs text-techcapital-gray-dark uppercase">{{ $attendee->registration->company }}</h3>
                </div>
            @endif
            @if (!$same && $user)
                @if (!auth()->user()->sent_connections->contains(function($item, $key) use ($user) { 
                    return $item->from_user_id === auth()->user()->id && $item->to_user_id === $user->id;
                }))
                    <button wire:click.prevent="$emit('open-user-dialog', {{ $user->id }})" class="text-techcapital-red">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 stroke-current">
                            <path stroke-linecap="round" stroke-linejoin="round" d="M18 7.5v3m0 0v3m0-3h3m-3 0h-3m-2.25-4.125a3.375 3.375 0 1 1-6.75 0 3.375 3.375 0 0 1 6.75 0ZM3 19.235v-.11a6.375 6.375 0 0 1 12.75 0v.109A12.318 12.318 0 0 1 9.374 21c-2.331 0-4.512-.645-6.374-1.766Z" />
                        </svg>
                    </button>
                @else
                    <button wire:click.prevent="$emit('open-user-dialog', {{ $user->id }})" class="text-techcapital-red">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 stroke-current">
                            <path stroke-linecap="round" stroke-linejoin="round" d="M15.75 6a3.75 3.75 0 1 1-7.5 0 3.75 3.75 0 0 1 7.5 0ZM4.501 20.118a7.5 7.5 0 0 1 14.998 0A17.933 17.933 0 0 1 12 21.75c-2.676 0-5.216-.584-7.499-1.632Z" />
                        </svg>
                    </button>
                @endif
            @endif
        </div>
    </div>
</div>