<div class="grid grid-cols-12 gap-4">
    <div class="col-span-3 lg:col-span-2">
        <x-portal.profiles.profile-avatar :user="$connection->from" size="200" width="100" height="100" css="w-16 h-16"/>
    </div>
    <div class="col-span-7 lg:col-span-8 flex items-center">
        <div>
            <h2 class="font-serif text-techcapital-gray-dark font-bold text-sm">{{ ucfirst($connection->from->forename) }} {{ ucfirst($connection->from->surname) }}</h2>
            @if ($connection->from->profile)
                <h3 class="font-sans text-xs text-techcapital-gray-dark uppercase">@if ($connection->from->profile->company) {{ $connection->from->profile->company }}, @endif @if ($connection->from->profile->position) {{ $connection->from->profile->position }} @endif</h3>
            @endif
        </div>
    </div>
    <div class="col-span-2 flex items-center justify-end">
        <button wire:click.prevent="toggleOpen" class="border border-techcapital-gray p-1">
            @if ($open)
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" />
                </svg>
            @else
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5" />
                </svg>
            @endif
        </button>
    </div>    
    @if ($open)
        <div class="col-span-12 flex items-center justify-between lg:justify-end">
            <a href="{{ route('portal.chats', ['page' => $page->slug]) }}?selected={{$connection->from->id}}" title="Chat with {{$connection->from->forename}}" class="w-1/2 bg-blue-500 border-2 border-blue-500 text-white px-4 py-2 rounded-sm mr-2 text-center">
                Chat
            </a>
            <button wire:click.prevent="deleteConnection({{$connection->id}})" title="Delete Connection" class="w-1/2 bg-techcapital-red border-2 border-techcapital-red text-white px-4 py-2 rounded-sm">
                Delete
            </button>
        </div>     
    @endif           
</div>