<div class="mb-4">
    @if ($calendars->count() > 0)
        <div class="bg-white shadow">
            @foreach($calendars as $calendar)
                <div class="text-sm p-4 @if(!$loop->last) border-b border-techcapital-gray-light @endif">
                    <h3 class="font-altgothic uppercase mb-2">{{$calendar->programme->title}}</h3>
                    <div class="flex items-center mb-1 text-xs">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5 mr-2 text-techcapital-red">
                            <path stroke-linecap="round" stroke-linejoin="round" d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5m-9-6h.008v.008H12v-.008ZM12 15h.008v.008H12V15Zm0 2.25h.008v.008H12v-.008ZM9.75 15h.008v.008H9.75V15Zm0 2.25h.008v.008H9.75v-.008ZM7.5 15h.008v.008H7.5V15Zm0 2.25h.008v.008H7.5v-.008Zm6.75-4.5h.008v.008h-.008v-.008Zm0 2.25h.008v.008h-.008V15Zm0 2.25h.008v.008h-.008v-.008Zm2.25-4.5h.008v.008H16.5v-.008Zm0 2.25h.008v.008H16.5V15Z"></path>
                        </svg>
                        {{$calendar->programme->starts_at->setTimezone('Europe/London')->format('jS F')}}
                    </div>
                    <div class="flex items-center mb-1 text-xs">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5 mr-2 text-techcapital-red">
                            <path stroke-linecap="round" stroke-linejoin="round" d="M12 6v6h4.5m4.5 0a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                        </svg>
                        {{$calendar->programme->starts_at->setTimezone('Europe/London')->format('H:i')}} - {{$calendar->programme->ends_at->setTimezone('Europe/London')->format('H:i')}}
                    </div>
                    <div>
                        <button wire:click.prevent="removeCalendar({{$calendar->id}})" class="flex items-center text-techcapital-red text-xs">
                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5 mr-2 text-techcapital-red">
                                <path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" />
                            </svg>
                            Remove
                        </button>
                    </div>
                </div>
            @endforeach
        </div>
        <a href="{{route('portal.calendar.download', ['page' => $page->slug])}}" class="block w-full bg-techcapital-red border-2 border-techcapital-red text-white font-altgothic uppercase py-2 rounded-sm text-center">Download ICal Calendar</a>
    @endif
</div>
