<div>
    <ul class="flex mb-4">
        <li class="mr-2 px-4 py-2 rounded-sm @if (!$selected) bg-techcapital-red text-white @else bg-techcapital-gray @endif"><button wire:click="changeDate()">All</button></li>
        @foreach($dates as $date)
            <li class="mr-2 px-4 py-2 rounded-sm @if (($selected && $selected->format('Y-m-d') === Carbon\Carbon::parse($date)->format('Y-m-d')) || (now()->format('Y-m-d') === Carbon\Carbon::parse($date)->format('Y-m-d'))) bg-techcapital-red text-white @else bg-techcapital-gray @endif">
                <button wire:click="changeDate('{{$date}}')">{{Carbon\Carbon::parse($date)->format('jS F')}}</button>
            </li>
        @endforeach
    </ul>    
    @if (count($programmes) > 0)
        <div class="bg-white shadow p-4">
            <div class="grid grid-cols-12 gap-4">
                @foreach($programmes as $programme)
                    @if ($programme->track)
                        <div class="col-span-12 lg:col-span-6 @if($programme->track === 'track-1') bg-techcapital-gray @else bg-techcapital-red-lighter @endif">
                            <div class="p-4">
                                <span class="font-altgothic text-base uppercase text-techcapital-red mb-4 block">{{ $programme->track === 'track-1' ? 'Track 1' : 'Track 2' }}</span>
                                <span class="block font-altgothic text-xs">{{ strtoupper($programme->starts_at->setTimezone('Europe/London')->format('jS F H:i')) }} (BST)</span>
                                <h2 class="font-altgothic text-base uppercase text-techcapital-gray-dark mb-4">{{$programme->title}}</h2>                                                   
                                <div class="full-content text-sm text-techcapital-gray-dark mb-4">
                                    @if (Str::wordCount($programme->description) > 20)
                                        @if ($open !== $programme->id)
                                            <p>
                                                {{ Str::words($programme->description, 20, '...') }}
                                                <button wire:click="toggleOpen({{$programme->id}})" class="text-techcapital-red focus:outline-none">
                                                    More
                                                </button>                                                
                                            </p>
                                        @else 
                                            {!! Str::markdown($programme->description) !!}
                                            <button wire:click="toggleOpen({{$programme->id}})" class="text-techcapital-red focus:outline-none">
                                                Less
                                            </button>
                                        @endif
                                    @else
                                        {!! Str::markdown($programme->description) !!}
                                    @endif
                                </div>
                                @if ($programme->speakers()->count() > 0)
                                    @foreach($programme->speakers()->orderBy('chair', 'DESC')->get() as $speaker)
                                        <div class="grid grid-cols-12 mb-2">
                                            <div class="col-span-4">
                                                <img src="/image/{{ $speaker->filename }}/90/90" alt="{{ $speaker->name }}" title="{{ $speaker->name }}" class="rounded-full w-16 h-16 border border-techcapital-gray-ultra p-0.5 filter grayscale" loading="lazy">
                                            </div>
                                            <div class="col-span-8 flex items-center">
                                                <div>
                                                    @if ($speaker->chair)
                                                        <span class="block text-xs uppercase font-serif">Chair</span>
                                                    @endif                                                                
                                                    <h2 class="font-serif text-techcapital-gray-dark text-sm">{{ $speaker->name }}</h2>
                                                    <p class="font-sans text-xxs text-techcapital-red uppercase">{{ $speaker->company }}<span class="block">{{ $speaker->position }}</span></p>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                @endif                                         
                                @if ($calendars->contains('programme_id', $programme->id))
                                    <button wire:click.prevent="toggleCalendar({{$programme->id}})" class="flex items-center border border-techcapital-red p-1 text-xs text-techcapital-red rounded-md mt-2">
                                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4 mr-2">
                                            <path stroke-linecap="round" stroke-linejoin="round" d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5m-9-6h.008v.008H12v-.008ZM12 15h.008v.008H12V15Zm0 2.25h.008v.008H12v-.008ZM9.75 15h.008v.008H9.75V15Zm0 2.25h.008v.008H9.75v-.008ZM7.5 15h.008v.008H7.5V15Zm0 2.25h.008v.008H7.5v-.008Zm6.75-4.5h.008v.008h-.008v-.008Zm0 2.25h.008v.008h-.008V15Zm0 2.25h.008v.008h-.008v-.008Zm2.25-4.5h.008v.008H16.5v-.008Zm0 2.25h.008v.008H16.5V15Z" />
                                        </svg>
                                        REMOVE FROM CALENDAR
                                    </button>    
                                @else
                                    <button wire:click.prevent="toggleCalendar({{$programme->id}})" class="flex items-center border border-techcapital-red p-1 text-xs text-techcapital-red rounded-md mt-2">
                                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4 mr-2">
                                            <path stroke-linecap="round" stroke-linejoin="round" d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5m-9-6h.008v.008H12v-.008ZM12 15h.008v.008H12V15Zm0 2.25h.008v.008H12v-.008ZM9.75 15h.008v.008H9.75V15Zm0 2.25h.008v.008H9.75v-.008ZM7.5 15h.008v.008H7.5V15Zm0 2.25h.008v.008H7.5v-.008Zm6.75-4.5h.008v.008h-.008v-.008Zm0 2.25h.008v.008h-.008V15Zm0 2.25h.008v.008h-.008v-.008Zm2.25-4.5h.008v.008H16.5v-.008Zm0 2.25h.008v.008H16.5V15Z" />
                                        </svg>
                                        ADD TO CALENDAR
                                    </button>    
                                @endif 
                            </div>
                        </div>
                    @else
                        <div class="col-span-12">
                            <span class="block text-xs">{{ strtoupper($programme->starts_at->setTimezone('Europe/London')->format('jS F')) }}</span>
                            <div class="grid grid-cols-12 gap-4">
                                <div class="col-span-12 lg:col-span-2">
                                    <span class="block font-altgothic text-techcapital-red text-base">{{ $programme->starts_at->setTimezone('Europe/London')->format('H:i') }} - {{ $programme->ends_at->setTimezone('Europe/London')->format('H:i')}}<br/>(BST)</span>
                                </div>
                                <div class="col-span-12 lg:col-span-10">
                                    <h2 class="font-altgothic text-base uppercase text-techcapital-gray-dark">{{$programme->title}}</h2>                                        
                                    @if ($programme->description)                   
                                        <div class="text-sm mt-2 text-techcapital-gray-dark">
                                            {!! Str::markdown($programme->description) !!}
                                        </div>
                                    @endif                                         
                                    @if ($programme->speakers()->count() > 0)
                                        <div class="mt-2">
                                            <div class="grid grid-cols-3 gap-4">
                                            @foreach($programme->speakers()->orderBy('chair', 'DESC')->get() as $speaker)
                                                <div class="col-span-3 lg:col-span-1">
                                                    <div class="grid grid-cols-12">
                                                        <div class="col-span-3">
                                                            <img src="/image/{{ $speaker->filename }}/90/90" alt="{{ $speaker->name }}" title="{{ $speaker->name }}" class="rounded-full border border-techcapital-gray-ultra p-0.5 filter grayscale" width="70" height="70" loading="lazy">
                                                        </div>
                                                        <div class="col-span-9 pl-4 flex items-center">
                                                            <div>
                                                                @if ($speaker->chair)
                                                                    <span class="block text-xs uppercase font-serif">Chair</span>
                                                                @endif
                                                                <h2 class="font-serif text-techcapital-gray-dark text-sm">{{ $speaker->name }}</h2>
                                                                <p class="font-sans text-xxs text-techcapital-red uppercase">{{ $speaker->company }}<span class="block">{{ $speaker->position }}</span></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                            </div>
                                        </div>
                                    @endif   
                                    @if ($calendars->contains('programme_id', $programme->id))
                                        <button wire:click.prevent="toggleCalendar({{$programme->id}})" class="flex items-center border border-techcapital-red p-1 text-xs text-techcapital-red rounded-md mt-2">
                                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4 mr-2">
                                                <path stroke-linecap="round" stroke-linejoin="round" d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5m-9-6h.008v.008H12v-.008ZM12 15h.008v.008H12V15Zm0 2.25h.008v.008H12v-.008ZM9.75 15h.008v.008H9.75V15Zm0 2.25h.008v.008H9.75v-.008ZM7.5 15h.008v.008H7.5V15Zm0 2.25h.008v.008H7.5v-.008Zm6.75-4.5h.008v.008h-.008v-.008Zm0 2.25h.008v.008h-.008V15Zm0 2.25h.008v.008h-.008v-.008Zm2.25-4.5h.008v.008H16.5v-.008Zm0 2.25h.008v.008H16.5V15Z" />
                                            </svg>
                                            REMOVE FROM CALENDAR
                                        </button>    
                                    @else
                                        <button wire:click.prevent="toggleCalendar({{$programme->id}})" class="flex items-center border border-techcapital-red p-1 text-xs text-techcapital-red rounded-md mt-2">
                                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4 mr-2">
                                                <path stroke-linecap="round" stroke-linejoin="round" d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5m-9-6h.008v.008H12v-.008ZM12 15h.008v.008H12V15Zm0 2.25h.008v.008H12v-.008ZM9.75 15h.008v.008H9.75V15Zm0 2.25h.008v.008H9.75v-.008ZM7.5 15h.008v.008H7.5V15Zm0 2.25h.008v.008H7.5v-.008Zm6.75-4.5h.008v.008h-.008v-.008Zm0 2.25h.008v.008h-.008V15Zm0 2.25h.008v.008h-.008v-.008Zm2.25-4.5h.008v.008H16.5v-.008Zm0 2.25h.008v.008H16.5V15Z" />
                                            </svg>
                                            ADD TO CALENDAR
                                        </button>    
                                    @endif          
                                </div>
                            </div>
                        </div>
                        @if (!$loop->last)
                            <div class="col-span-12">
                                <hr/>
                            </div>
                        @endif
                    @endif
                @endforeach
            </div>
        </div>
    @endif

</div>
