<div class="shadow mb-4 bg-white">
    <div class="container lg:max-w-screen-lg mx-auto">  
        <div class="lg:hidden px-4 flex items-center font-bold text-techcapital-red">
            <button wire:click.prevent="toggleOpen" class="border border-techcapital-red text-techcapital-red mt-4 mb-4 mr-2 flex items-center p-1 shrink">
                @if ($open)
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 inline-block">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" />
                    </svg>
                @else
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 inline-block">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5" />
                    </svg>
                @endif
            </button>
            <button wire:click.prevent="$emit('toggle-sidebar-open')" class="border border-techcapital-red text-techcapital-red mt-4 mb-4 mr-2 flex items-center p-1 shrink">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M15.75 6a3.75 3.75 0 1 1-7.5 0 3.75 3.75 0 0 1 7.5 0ZM4.501 20.118a7.5 7.5 0 0 1 14.998 0A17.933 17.933 0 0 1 12 21.75c-2.676 0-5.216-.584-7.499-1.632Z" />
                </svg>
            </button>        
            <div class="grow"></div>    
            <div class="border border-techcapital-red text-techcapital-red mt-4 mb-4 mr-2 flex items-center p-1 shrink">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M12 6v6h4.5m4.5 0a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                </svg>
                {{ $page->starts_at->setTimezone('Europe/London')->format('dS M Y')}}
            </div>
        </div>
        <ul class="@if (!$open) hidden @endif font-bold lg:flex">
            <li class="p-4 border-b border-t border-b-techcapital-gray-light lg:border-none lg:px-0"><a href="{{ route('portal.page', ['page' => $page->slug] ) }}" class="mr-4 @if($selected === 'home') text-techcapital-red @endif">Home</a></li>
            <li class="p-4 border-b border-b-techcapital-gray-light lg:border-none lg:px-0"><a href="{{ route('portal.attendees', ['page' => $page->slug]) }}" class="mr-4 @if($selected === 'attendees') text-techcapital-red @endif">Attendees</a></li>
            <li class="p-4 border-b border-b-techcapital-gray-light lg:border-none lg:px-0"><a href="{{ route('portal.speakers', ['page' => $page->slug]) }}" class="mr-4 @if($selected === 'speakers') text-techcapital-red @endif">Speakers</a></li>
            <li class="p-4 border-b border-b-techcapital-gray-light lg:border-none lg:px-0"><a href="{{ route('portal.partners', ['page' => $page->slug]) }}" class="mr-4 @if($selected === 'partners') text-techcapital-red @endif">Partners</a></li>
            <li class="p-4 border-b border-b-techcapital-gray-light lg:border-none lg:px-0"><a href="{{ route('portal.venue', ['page' => $page->slug]) }}" class="mr-4 @if($selected === 'venue') text-techcapital-red @endif">Venue & Travel</a></li>
            @if ($page->floorplan)
                <li class="p-4 border-b border-b-techcapital-gray-light lg:border-none lg:px-0"><a href="{{ route('portal.floorplan', ['page' => $page->slug]) }}" class="mr-4 @if($selected === 'floorplan') text-techcapital-red @endif">Floorplan</a></li>
            @endif
            <li class="p-4 lg:px-0"><a href="{{ route('portal.agenda', ['page' => $page->slug]) }}" class="mr-4 @if($selected === 'agenda') text-techcapital-red @endif">Agenda</a></li>
            <li class="p-4 lg:px-0"><a href="{{ route('portal.my-event', ['page' => $page->slug]) }}" class="mr-4 @if($selected === 'my-event') text-techcapital-red @endif">My Event</a></li>
        </ul>
    </div>
</div>