<x-layout.portal>
    <x-slot name="title">Event Portal</x-slot>
    <x-slot name="description">Event Portal Social Network</x-slot>
    @php
        $subheading = $page->name . ' Floorplan';
    @endphp
    <x-portal.parts.part-header heading="Event Portal" :subheading="$subheading" :page="$page"/>
    <livewire:portal.menus.menu-main :page="$page" selected="floorplan"/>
    <div class="container lg:max-w-screen-lg mx-auto">  
        <div class="p-4 lg:p-0">  
            <!--TOP ADVERT-->
            <livewire:portal.ads.advert zone="5b4ce154-02e3-4847-901c-6aa4e18152e7"/>
            <h2 class="text-2xl lg:text-3xl font-altgothic uppercase mb-4">Floorplan</h2>
            <div class="grid grid-cols-12 gap-4">
                <livewire:portal.sidebars.sidebar-container :page="$page"/>
                <div class="col-span-12 lg:col-span-9">
                    <div class="bg-white rounded-sm shadow p-4 mb-4">
                        <img src="{{ Storage::disk('s3')->url($page->floorplan) }}" alt="{{ $page->name }} floorplan" title="{{ $page->name }} floorplan" class="w-full mb-4"/>
                    </div>
                    <a href="{{ Storage::disk('s3')->url($page->floorplan) }}" title="Download floorplan" class="block w-full text-center bg-techcapital-red border-2 border-techcapital-red text-white font-bold py-2 rounded-sm">Download floorplan</a>
                </div>
            </div>
        </div>
    </div>
    <livewire:portal.dialogs.dialog-user :page="$page"/>
</x-layout.portal>