<x-layout.portal>
    <x-slot name="title">Event Portal</x-slot>
    <x-slot name="description">Event Portal Social Network</x-slot>
    <x-portal.parts.part-header heading="Event Portal" :subheading="$page->name" :page="$page"/>
    <livewire:portal.menus.menu-main :page="$page" selected="home"/>
    <div class="container lg:max-w-screen-lg mx-auto">  
        <div class="p-4 lg:p-0">  
            <!--TOP ADVERT-->
            <livewire:portal.ads.advert zone="5b4ce154-02e3-4847-901c-6aa4e18152e7"/>
            <h2 class="text-2xl lg:text-3xl font-altgothic uppercase mb-4 text-center lg:text-left">{{ $page->name }}</h2>
            <x-content.common.status-alert/>
            <div class="grid grid-cols-12 gap-4">
                <livewire:portal.sidebars.sidebar-container :page="$page"/>
                <div class="col-span-12 lg:col-span-9">
                    @if ($page->portal_text)
                        <div class="full-content mb-4 p-4 bg-white shadow">
                            {!! Str::markdown($page->portal_text) !!}
                        </div>
                        <h2 class="text-xl font-serif mb-4">Sponsors</h2>
                    @endif
                    <x-portal.lists.list-sponsors :page="$page"/>
                </div>
            </div>
        </div>
    </div>
    <livewire:portal.dialogs.dialog-sponsor :page="$page"/>
    @if (!auth()->user()->profile)
        <dialog id="dialog" class="p-4">
            <form method="dialog">
                <h1 class="text-xl font-altgothic uppercase mb-4">Welcome to The Tech Capital Event Portal</h1>
                <div class="mb-4">
                    <p>With this portal you can connect with attendees at this upcoming event</p>
                    <p>But first you need to make yourself visible...</p>
                    <p>Click the button below to go to your profile, fill this in and select yes from the dropdown menu in order to show online</p>
                </div>
                <p>
                    <a href="{{route('portal.profile', ['page' => $page->slug])}}" class="bg-techcapital-red border-2 border-techcapital-red border border-techcapital-red text-white font-bold py-2 px-3 rounded-sm focus:outline-none">Go to Profile</a>
                    <button class="bg-techcapital-gray border-2 border-techcapital-gray border border-techcapital-gray text-techcapital-gray-ultra font-bold py-2 px-3 rounded-sm">Close</button>
                </p>
            </form>
        </dialog>

        <script>
            (function() {
                var dialog = document.getElementById('dialog');
                dialog.showModal();
            })();
        </script>
    @endif
</x-layout.portal>