<x-layout.portal>
    <x-slot name="title">Event Portal</x-slot>
    <x-slot name="description">Event Portal Social Network</x-slot>
    <x-portal.parts.part-header heading="Event Portal" subheading="Manage Your Profile" :page="$page"/>
    <livewire:portal.menus.menu-main :page="$page" selected=""/>
    <div class="container lg:max-w-screen-lg mx-auto">  
        <div class="p-4 lg:p-0">  
            <!--TOP ADVERT-->
            <livewire:portal.ads.advert zone="5b4ce154-02e3-4847-901c-6aa4e18152e7"/>
            <h2 class="text-2xl lg:text-3xl font-altgothic uppercase mb-4">Profile</h2>
            <form method="POST" action="{{ route('portal.profile.update', ['page' => $page->slug]) }}" enctype="multipart/form-data">
                @csrf
                <x-content.common.error-alert :errors="$errors"/>
                <h2 class="text-xl font-altgothic uppercase mb-4">Name & Employment</h2>
                <div class="mb-4">
                    <label for="name" class="block mb-2 font-bold">Forename <sup class="text-techcapital-red">*</sup></label>
                    <input type="text" name="forename" placeholder="Enter your forename..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{ old('forename', auth()->user()->forename) }}"/>
                </div>
                <div class="mb-4">
                    <label for="name" class="block mb-2 font-bold">Surname <sup class="text-techcapital-red">*</sup></label>
                    <input type="text" name="surname" placeholder="Enter your surname..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{ old('surname', auth()->user()->surname) }}"/>
                </div>

                <div class="mb-4">
                    <label for="company" class="block mb-2 font-bold">Company</label>
                    <input type="text" name="company" placeholder="Enter your company / employer name..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{ old('company', $profile?->company) }}"/>
                </div>
                <div class="mb-4">
                    <label for="position" class="block mb-2 font-bold">Position</label>
                    <input type="text" name="position" placeholder="Enter your position / job title..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{ old('position', $profile?->position) }}"/>
                </div>
                <h2 class="text-xl font-altgothic uppercase mb-4">About You</h2>
                <div class="mb-4">
                    <textarea name="about" rows="10" placeholder="Give a brief description of your achivements, work, life etc..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light resize-none">{{ old('about', $profile?->about) }}</textarea>
                </div>
                <h2 class="text-xl font-altgothic uppercase mb-4">Social Media &amp; Website</h2>
                <div class="mb-4">
                    <label for="twitter" class="block mb-2 font-bold">Twitter</label>
                    <input type="text" name="twitter" placeholder="Enter the URL to your twitter account..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{ old('twitter', $profile?->twitter) }}"/>
                </div>
                <div class="mb-4">
                    <label for="linkedin" class="block mb-2 font-bold">Linked In</label>
                    <input type="text" name="linkedin" placeholder="Enter the URL to your linked in profile..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{ old('linkedin', $profile?->linkedin) }}"/>
                </div>
                <div class="mb-4">
                    <label for="website" class="block mb-2 font-bold">Website</label>
                    <input type="text" name="website" placeholder="Enter your website address..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{ old('linkedin', $profile?->website) }}"/>
                </div>            

                <h2 class="text-xl font-altgothic uppercase mb-4">Contact Details</h2>
                <div class="mb-4">
                    <label for="telephone" class="block mb-2 font-bold">Telephone</label>
                    <input type="text" name="telephone" placeholder="Enter your telephone (landline) number..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{ old('telephone', $profile?->telephone) }}"/>
                </div>
                <div class="mb-4">
                    <label for="mobile" class="block mb-2 font-bold">Mobile</label>
                    <input type="text" name="mobile" placeholder="Enter your mobile number..." class="w-full py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light" value="{{ old('mobile', $profile?->mobile) }}"/>
                </div>
                <h2 class="text-xl font-altgothic uppercase mb-4">Profile Picture</h2>
                <p class="mb-4">We will try to use your <a href="https://gravatar.com/" target="_blank" title="Gravatar">Gravatar</a> if you have one, otherwise you can upload a picture here and this will be used.</p>
                <div class="mb-4 p-4 bg-white rounded-sm shadow border border-techcapital-gray-light">
                    <div class="grid grid-cols-12 gap-4">
                        <div class="col-span-12 lg:col-span-2">
                            <x-portal.profiles.profile-avatar :user="auth()->user()" size="400" width="200" height="200" css="w-32 h-32"/>
                        </div>
                        <div class="col-span-12 lg:col-span-10 flex items-center">
                            <div class="mb-4">
                                <label for="picture" class="block mb-2 font-bold">Picture</label>
                                <input type="file" name="picture" class=""/>
                            </div>
                        </div>
                    </div>
                </div>
                <h2 class="text-xl font-altgothic uppercase mb-4">Portal Visibility</h2>
                <div class="mb-4">
                    <label for="portal" class="block mb-2 font-bold">Do you want this profile and all its information to be visible on this (and other The Tech Capital event portals)?</label>
                    <select name="portal" class="py-3 px-4 rounded-sm shadow focus:outline-none border border-techcapital-gray-light bg-white">
                        <option value="1" @if (old('portal', auth()->user()->portal)) selected @endif>Yes</option>
                        <option value="0" @if (!old('portal', auth()->user()->portal)) selected @endif>No</option>
                    </select>
                </div>
                <div class="mb-4">
                    <input type="submit" value="Update Profile" class="bg-techcapital-red border-2 border-techcapital-red text-white font-bold px-3 py-2 rounded-sm mr-4"/>
                    <a href="{{ route('portal.page', ['page' => $page->slug]) }}" class="bg-white border-2 border-techcapital-red text-techcapital-red font-bold px-3 py-2 rounded-sm">Cancel</a>
                </div>
            </form>
        </div>
    </div>
</x-layout.portal>