<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <title><?php echo e($title ?? 'The Tech Capital Events'); ?></title>
        <meta name="description" content="<?php echo e($description ?? 'The Tech Capital Events'); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf_token" value="<?php echo e(csrf_token()); ?>"/>
        <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Lato&amp;family=Nunito&amp;family=Oswald:wght@300;400;600&amp;family=PT+Serif+Caption&amp;family=PT+Serif:ital@0;1&amp;display=swap" rel="stylesheet">
        <link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset('/favicon/apple-touch-icon.png')); ?>">
        <link rel="icon" type="image/png" sizes="32x32" href="<?php echo e(asset('/favicon/favicon-32x32.png')); ?>">
        <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('/favicon/favicon-16x16.png')); ?>">
        <link rel="manifest" href="<?php echo e(asset('/favicon/site.webmanifest')); ?>" crossorigin="use-credentials">
        <link rel="mask-icon" href="<?php echo e(asset('/favicon/safari-pinned-tab.svg')); ?>" color="#5bbad5">
        <link rel="shortcut icon" href="<?php echo e(asset('/favicon/favicon.ico')); ?>">
        <meta name="msapplication-TileColor" content="#bd1f23">
        <meta name="msapplication-config" content="<?php echo e(asset('/favicon/browserconfig.xml')); ?>">
        <meta name="msvalidate.01" content="6819F4A907D7AB48C0979B48892C9A48" />
        <meta name="theme-color" content="#ffffff">    
        <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=G-E0VEYC3VPH"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
            gtag('config', 'G-E0VEYC3VPH');
        </script>    
        <?php echo \Livewire\Livewire::styles(); ?>

        <?php echo $__env->yieldPushContent('header'); ?>
    </head>
    <body class="antialiased flex flex-col min-h-screen bg-techcapital-gray">
        <main class="flex-1">
            <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('content.common.strap', [])->html();
} elseif ($_instance->childHasBeenRendered('MjTPEO1')) {
    $componentId = $_instance->getRenderedChildComponentId('MjTPEO1');
    $componentTag = $_instance->getRenderedChildComponentTagName('MjTPEO1');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('MjTPEO1');
} else {
    $response = \Livewire\Livewire::mount('content.common.strap', []);
    $html = $response->html();
    $_instance->logRenderedChild('MjTPEO1', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
            <?php echo e($slot); ?>

        </main>
        <?php if (isset($component)) { $__componentOriginalc18c67fc5ae33856cdf5b92af54b68e6a239a976 = $component; } ?>
<?php $component = App\View\Components\Content\Common\Partner::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('content.common.partner'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Content\Common\Partner::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc18c67fc5ae33856cdf5b92af54b68e6a239a976)): ?>
<?php $component = $__componentOriginalc18c67fc5ae33856cdf5b92af54b68e6a239a976; ?>
<?php unset($__componentOriginalc18c67fc5ae33856cdf5b92af54b68e6a239a976); ?>
<?php endif; ?>
        <?php if (isset($component)) { $__componentOriginal3ffe3439b8c707614ed22c2ef9eaadcfb5212a10 = $component; } ?>
<?php $component = App\View\Components\Content\Common\Footer::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('content.common.footer'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Content\Common\Footer::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal3ffe3439b8c707614ed22c2ef9eaadcfb5212a10)): ?>
<?php $component = $__componentOriginal3ffe3439b8c707614ed22c2ef9eaadcfb5212a10; ?>
<?php unset($__componentOriginal3ffe3439b8c707614ed22c2ef9eaadcfb5212a10); ?>
<?php endif; ?>
        <?php if(Route::currentRouteName() == 'page'): ?>
            <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('content.common.contact-modal', [])->html();
} elseif ($_instance->childHasBeenRendered('hEx0FBg')) {
    $componentId = $_instance->getRenderedChildComponentId('hEx0FBg');
    $componentTag = $_instance->getRenderedChildComponentTagName('hEx0FBg');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('hEx0FBg');
} else {
    $response = \Livewire\Livewire::mount('content.common.contact-modal', []);
    $html = $response->html();
    $_instance->logRenderedChild('hEx0FBg', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
        <?php endif; ?>
        <?php echo \Livewire\Livewire::scripts(); ?>

        <?php echo $__env->yieldPushContent('footer'); ?>
    </body>
</html><?php /**PATH /home/events-trgo2/events.thetechcapital.com/resources/views/components/layout/app.blade.php ENDPATH**/ ?>