<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <title><?php echo e($title ?? 'The Tech Capital Events'); ?></title>
        <meta name="description" content="<?php echo e($description ?? 'The Tech Capital Events'); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Lato&amp;family=Nunito&amp;family=Oswald:wght@300;400;600&amp;family=PT+Serif+Caption&amp;family=PT+Serif:ital@0;1&amp;display=swap" rel="stylesheet">
        <link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset('/favicon/apple-touch-icon.png')); ?>">
        <link rel="icon" type="image/png" sizes="32x32" href="<?php echo e(asset('/favicon/favicon-32x32.png')); ?>">
        <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('/favicon/favicon-16x16.png')); ?>">
        <link rel="manifest" href="<?php echo e(asset('/favicon/site.webmanifest')); ?>" crossorigin="use-credentials">
        <link rel="mask-icon" href="<?php echo e(asset('/favicon/safari-pinned-tab.svg')); ?>" color="#5bbad5">
        <link rel="shortcut icon" href="<?php echo e(asset('/favicon/favicon.ico')); ?>">
        <meta name="msapplication-TileColor" content="#bd1f23">
        <meta name="msapplication-config" content="<?php echo e(asset('/favicon/browserconfig.xml')); ?>">
        <meta name="msvalidate.01" content="6819F4A907D7AB48C0979B48892C9A48" />
        <meta name="theme-color" content="#ffffff">    
        <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=G-E0VEYC3VPH"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
            gtag('config', 'G-E0VEYC3VPH');
        </script>    
        <?php echo \Livewire\Livewire::styles(); ?>

        <?php echo $__env->yieldPushContent('header'); ?>
    </head>
    <body class="antialiased flex flex-col min-h-screen bg-techcapital-gray relative">
        <main class="flex-1">
            <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('content.common.strap', [])->html();
} elseif ($_instance->childHasBeenRendered('MsVbDQW')) {
    $componentId = $_instance->getRenderedChildComponentId('MsVbDQW');
    $componentTag = $_instance->getRenderedChildComponentTagName('MsVbDQW');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('MsVbDQW');
} else {
    $response = \Livewire\Livewire::mount('content.common.strap', []);
    $html = $response->html();
    $_instance->logRenderedChild('MsVbDQW', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
            <?php echo e($slot); ?>

        </main>
        <?php echo \Livewire\Livewire::scripts(); ?>

        <?php echo $__env->yieldPushContent('footer'); ?>
        <script>
            Livewire.on('toggle-sidebar-open', () => {
                document.querySelector('body').classList.toggle('overflow-hidden');
            })
        </script>
    </body>
</html><?php /**PATH /home/events-trgo2/events.thetechcapital.com/resources/views/components/layout/portal.blade.php ENDPATH**/ ?>