<?php $__env->startPush('header'); ?>
    <script src="https://js.stripe.com/v3/"></script>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('footer'); ?>
<script>
  // This is your test publishable API key.
  const stripe = Stripe("<?php echo e(config('services.stripe.public')); ?>");

  // The items the customer wants to buy
  const items = [{ id: "I am Product" }];

  let elements;

  initialize();
  checkStatus();

  document
    .querySelector("#payment-form")
    .addEventListener("submit", handleSubmit);

  // Fetches a payment intent and captures the client secret
  async function initialize() {
    const { clientSecret } = await fetch("/page/<?php echo e($page->slug); ?>/checkout/payment/intent", {
      method: "POST",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify({ items }),
    }).then((r) => r.json());

    elements = stripe.elements({ clientSecret });


    const paymentElementOptions = {
      layout: "tabs",
    };

    const paymentElement = elements.create("payment", paymentElementOptions);
    paymentElement.mount("#payment-element");
  }

  async function handleSubmit(e) {
    e.preventDefault();
    setLoading(true);

    const { error } = await stripe.confirmPayment({
      elements,
      confirmParams: {
        // Make sure to change this to your payment completion page
        return_url: "<?php echo e(route('page.checkout.complete', ['page' => $page->slug])); ?>",
        receipt_email: "<?php echo e(session('email')); ?>",
      },
    });

    // This point will only be reached if there is an immediate error when
    // confirming the payment. Otherwise, your customer will be redirected to
    // your `return_url`. For some payment methods like iDEAL, your customer will
    // be redirected to an intermediate site first to authorize the payment, then
    // redirected to the `return_url`.
    if (error.type === "card_error" || error.type === "validation_error") {
      showMessage(error.message);
    } else {
      showMessage("An unexpected error occurred.");
    }

    setLoading(false);
  }

  // Fetches the payment intent status after payment submission
  async function checkStatus() {
    const clientSecret = new URLSearchParams(window.location.search).get(
      "payment_intent_client_secret"
    );

    if (!clientSecret) {
      return;
    }

    const { paymentIntent } = await stripe.retrievePaymentIntent(clientSecret);

    switch (paymentIntent.status) {
      case "succeeded":
        showMessage("Payment succeeded!");
        break;
      case "processing":
        showMessage("Your payment is processing.");
        break;
      case "requires_payment_method":
        showMessage("Your payment was not successful, please try again.");
        break;
      default:
        showMessage("Something went wrong.");
        break;
    }
  }

  // ------- UI helpers -------

  function showMessage(messageText) {
    const messageContainer = document.querySelector("#payment-message");

    messageContainer.classList.remove("hidden");
    messageContainer.textContent = messageText;

    setTimeout(function () {
      messageContainer.classList.add("hidden");
      messageText.textContent = "";
    }, 4000);
  }

  // Show a spinner on payment submission
  function setLoading(isLoading) {
    if (isLoading) {
      // Disable the button and show a spinner
      document.querySelector("#submit").disabled = true;
      document.querySelector("#spinner").classList.remove("hidden");
      document.querySelector("#button-text").classList.add("hidden");
    } else {
      document.querySelector("#submit").disabled = false;
      document.querySelector("#spinner").classList.add("hidden");
      document.querySelector("#button-text").classList.remove("hidden");
    }
  }
  </script>
<?php $__env->stopPush(); ?>
<?php if (isset($component)) { $__componentOriginal5b2e5b50e9be257e0e34da4ce73274e1e9a2e610 = $component; } ?>
<?php $component = App\View\Components\Layout\App::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('layout.app'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Layout\App::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> 
   <?php $__env->slot('title', null, []); ?> <?php echo e($page->title); ?> <?php $__env->endSlot(); ?>
   <?php $__env->slot('description', null, []); ?> <?php echo e($page->description); ?> <?php $__env->endSlot(); ?>
  <div class="bg-techcapital-red py-8 px-4 lg:px-0 lg:mb-4">
      <div class="container lg:max-w-screen-lg mx-auto">  
          <h1 class="font-altgothic uppercase text-3xl text-white">Make Payment</h1>
          <h2 class="text-white">Pay for your tickets to <?php echo e($page->title); ?></h2>
      </div>
  </div>  
  <div class="container lg:max-w-screen-lg mx-auto">  
    <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('ecommerce.payment', ['page' => $page])->html();
} elseif ($_instance->childHasBeenRendered('wWkRehw')) {
    $componentId = $_instance->getRenderedChildComponentId('wWkRehw');
    $componentTag = $_instance->getRenderedChildComponentTagName('wWkRehw');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('wWkRehw');
} else {
    $response = \Livewire\Livewire::mount('ecommerce.payment', ['page' => $page]);
    $html = $response->html();
    $_instance->logRenderedChild('wWkRehw', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
  </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal5b2e5b50e9be257e0e34da4ce73274e1e9a2e610)): ?>
<?php $component = $__componentOriginal5b2e5b50e9be257e0e34da4ce73274e1e9a2e610; ?>
<?php unset($__componentOriginal5b2e5b50e9be257e0e34da4ce73274e1e9a2e610); ?>
<?php endif; ?><?php /**PATH /home/events-trgo2/events.thetechcapital.com/resources/views/pages/checkout/payment.blade.php ENDPATH**/ ?>