module.exports = {
    content: [
        "./resources/**/*.blade.php",
        "./resources/**/*.js",
        "./resources/**/*.vue",
    ],
    safelist: [
        'text-base',
        'text-lg',
        'text-xl',
        'text-2xl',
        'text-3xl',
        'text-4xl',
        'lg:text-base',
        'lg:text-lg',
        'lg:text-xl',
        'lg:text-2xl',
        'lg:text-3xl',
        'lg:text-4xl',
        'lg:mb-0',
        'lg:mb-1',
        'lg:mb-2',
        'lg:mb-4',
        'lg:mb-8',
        'lg:pt-4',
    ],
    theme: {
        extend: {
            minHeight: {
                'full': '100vh',
                'third': '30vh',
                'half': '50vh'
            },
            fontSize: {
                'xxs': '0.6rem'
            },
            colors: {
                techcapital: {
                    red: {
                        DEFAULT: 'rgb(190,31,35)',
                        light: 'rgb(224, 145, 148)',
                        lighter: 'rgb(240, 224, 224)'
                    },
                    gray: {
                        DEFAULT: 'rgb(238, 238, 238)',
                        light: 'rgb(201, 201, 201)',
                        dark: 'rgb(69,67,68)',
                        darker: 'rgb(133,132,132)',
                        ultra: 'rgb(31,31,31)',
                        lightest: 'rgb(245,245,245)'
                    },
                    blue: {
                        DEFAULT: 'rgb(193,218,239)',
                        dark: 'rgb(3,51,109)',
                        light: 'rgb(125,153,187)'
                    }
                },
                alerts: {
                    'danger': {
                        'text': '#721c24',
                        'background': '#f8d7da',
                        'border': '#f5c6cb'
                    }
                }
            },
            fontFamily: {
                sans: ['nunito', 'sans-serif'],
                serif: ['pt serif', 'serif'],
                altgothic: ['oswald', 'sans-serif'],
                sections: ['lato', 'sans-serif'],
            }
        },
    },
    plugins: [],
}
