<?php

namespace Tests\Feature\Portal\Livewire;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\TestCase;
use Livewire\Livewire;

use App\Models\Attendee;
use App\Models\User;

use App\Http\Livewire\Portal\Items\ItemAttendee;

class ItemAttendeeTest extends TestCase
{
    use RefreshDatabase;

    public function test_item_attendee_renders()
    {
        $auth = User::factory()->create();
        $attendee = Attendee::factory()->state([
            'email' => $auth->email
        ])->create();

        $this->actingAs($auth);

        Livewire::test(ItemAttendee::class, ['attendee' => $attendee])
            ->assertViewIs('livewire.portal.items.item-attendee');

    }

}