<?php

namespace Tests\Feature\Portal\Livewire;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\TestCase;
use Livewire\Livewire;

use App\Models\Page;

use App\Http\Livewire\Portal\Menus\MenuMain;

class MenuMainTest extends TestCase
{
    use RefreshDatabase;

    public function test_menu_main_renders()
    {
        $page = Page::factory()->create();

        Livewire::test(MenuMain::class, ['page' => $page])
            ->assertViewIs('livewire.portal.menus.menu-main');
    }

    public function test_menu_main_open()
    {
        $page = Page::factory()->create();

        Livewire::test(MenuMain::class, ['page' => $page])
            ->call('toggleOpen')
            ->assertSet('open', true);
    }

    public function test_menu_main_closed()
    {
        $page = Page::factory()->create();

        Livewire::test(MenuMain::class, ['page' => $page])
            ->call('toggleOpen')
            ->assertSet('open', true)
            ->call('toggleOpen')
            ->assertSet('open', false);
    }    

}