<?php

namespace Tests\Unit;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Tests\TestCase;

use App\Actions\Forms\RequiredModelFieldsValidator;


class RequiredModelFieldsValidatorTest extends TestCase
{

    public function test_no_exception_if_no_required_fields()
    {
        $data = [];
        $required = [];

        (new RequiredModelFieldsValidator)->execute($data, $required);

        $this->assertTrue(true);
    }

    public function test_exception_if_required_fields_missing()
    {
        $data = [];
        $required = ['name', 'email'];

        $this->expectException(\Illuminate\Validation\ValidationException::class);

        (new RequiredModelFieldsValidator)->execute($data, $required);
    }

    public function test_no_exception_if_required_field_present()
    {
        $data = ['name' => 'Test'];
        $required = ['name'];

        (new RequiredModelFieldsValidator)->execute($data, $required);

        $this->assertTrue(true);
    }

    public function test_no_exception_if_required_fields_present()
    {
        $data = ['name' => 'Test', 'email' => 'email'];
        $required = ['name', 'email'];

        (new RequiredModelFieldsValidator)->execute($data, $required);

        $this->assertTrue(true);
    }    

}